<?php
/** dttheme_option()
 * Objective:
 *		To get my theme options stored in database by the thme option page at back end.
 **/
if (!function_exists('dttheme_option')) {
function dttheme_option($key1, $key2 = '') {
	$options = get_option ( IAMD_THEME_SETTINGS );
	$output = NULL;

	if (is_array ( $options )) {

		if (array_key_exists ( $key1, $options )) {
			$output = $options [$key1];
			if (is_array ( $output ) && ! empty ( $key2 )) {
				$output = (array_key_exists ( $key2, $output ) && (! empty ( $output [$key2] ))) ? $output [$key2] : NULL;
			}
		} else {
			$output = $output;
		}
	}
	return $output;
}
}
// # --- **** dttheme_option() *** --- ###

/**
 * dttheme_default_option()
 * Objective:
 * To return my theme default options to store in database.
 */
if (!function_exists('dttheme_default_option')) {
function dttheme_default_option() {
	
	$general = array(
				"logo" => "true",
				"enable-favicon" => "true",
				"disable-custom-scroll" =>"on",
				"enable-sticky-nav"	=>"true",
				"disable-page-comment" => "true",
				"show-sociables" => "on",
				"top-message" => '<p class="phone-no"><span class="fa fa-phone"></span>+1 200 258 2145</p><p class="mail"><span class="fa fa-envelope-o"> </span>									<a href="mailto:supertheme@somemail.com"> supertheme@somemail.com </a></p>',
				"top-toggle-bar-message" => '[dt_sc_one_half first type = "type1"]
[dt_sc_top_toggle_bar title="Welcome to the top toggle bar!" title_description="Mount Cool comes with the top toggle bar where you can put important informations like the recent updates or what you are up to do. Dive into the featureful theme." ]
[dt_sc_hr_invisible_very_small]
[dt_sc_news_letter /]
[/dt_sc_one_half]

[dt_sc_one_half type = "type1"]
<h4>We Are Always Here</h4>
[res_map address="Iamdesigning, 1/52,3/53, Lal Bahadhur Colony,Shringar Nagar Road, Near Gopal Naidu School, Peelamedu, Coimbatore, TN 641004" description="Iamdesigning,{br} Peelamedu, {br}Coimbatore" directionstext="(directions to our address)" icon="red" color="bw" pancontrol="no" scalecontrol="no" typecontrol="no" streetcontrol="no" zoom="14" zoomcontrol="no" draggable="yes" scrollwheel="no" width="100%" height="200px" maptype="roadmap" popup="yes" center="" refresh="no"]
[dt_sc_one_half_inner first type = "type1"][dt_sc_phone icon="phone" phone="+61 3 8376 6284"/][/dt_sc_one_half_inner]
[dt_sc_one_half_inner type = "type1"][dt_sc_address icon="globe" address_details="3/53 Lal Bahadhur Colony - India" /][/dt_sc_one_half_inner]
[dt_sc_one_half_inner first type = "type1"][dt_sc_web icon="map-marker" url="www.mountcool.com"/][/dt_sc_one_half_inner]
[dt_sc_one_half_inner type = "type1"][dt_sc_email icon="envelope-o" emailid="admin@mountcool.com"/][/dt_sc_one_half_inner]
[/dt_sc_one_half]',
				"footer-columns" => "4",
				"footer-columns" => "4",
				"show-copyrighttext" => "on",
				'breadcrumb-delimiter' => 'fa-arrow-circle-o-right',
				"disable-picker"		=>"on",
				"show-footer-logo"		=>"on",
				"loading-bar-text"		=>"MountCool is Dressing Up. Please Wait!!",
				"social-icons"	=>	'[dt_sc_social_links facebook="#" twitter="#"  googleplus="#" dribbble="#" youtube="#" linkedin="#" flickr="#" pinterest="#" tumblr="#" /]',
				"copyright-text" => 'a theme by iamdesigning &copy; 2015 <a href="http://themeforest.net/user/designthemes"> Design Themes </a>');
				
	$appearance = array(
		"layout"                      => "wide",
		"skin"                        => "skyblue",
		'body-font'                   => 'Merriweather',
		'body-font-color'             => '#878787',
		'body-font-size'              => '14',
		'body-primary-color'          => '#19a9e5',
		'body-secondary-color'        => '#333334',
		'H1-font'                     => 'Open Sans',
		'H1-font-color'               => '#323232',
		'H1-size'                     => '50',
		'H2-font'                     => 'Open Sans',
		'H2-font-color'               => '#323232',
		'H2-size'                     => '34',
		'H3-font'                     => 'Merriweather',
		'H3-font-color'               => '#323232',
		'H3-size'                     => '26',
		'H4-font'                     => 'Merriweather',
		'H4-font-color'               => '#323232',
		'H4-size'                     => '24',
		'H5-font'                     => 'Merriweather',
		'H5-font-color'               => '#878787',
		'H5-size'                     => '20',
		'H6-font'                     => 'Merriweather',
		'H6-font-color'               => '#878787',
		'H6-size'                     => '18',
	);

	$integration = array(
			"post-googleplus-layout" => "small",
			"post-googleplus-lang" => "en_GB",
			"post-twitter-layout" => "vertical",
			"post-fb_like-layout" => "box_count",
			"post-fb_like-color-scheme" => "light",
			"post-digg-layout" => "medium",
			"post-stumbleupon-layout" => "5",
			"post-linkedin-layout" => "2",
			"page-pintrest-layout" => "none",
			"page-googleplus-layout" => "small",
			"page-googleplus-lang" => "en_GB",
			"page-twitter-layout" => "blue",
			"page-fb_like-layout" => "box_count",
			"page-fb_like-color-scheme" => "light",
			"page-digg-layout" => "medium",
			"page-stumbleupon-layout" => "5",
			"page-linkedin-layout" => "2",
			"page-pintrest-layout" => "none",
			"sb-portfolio-googleplus" => "true",
			"sb-portfolio-fb_like" => "true",
			"sb-portfolio-twitter" => "true");

	$mobile = array ("is-theme-responsive" => "true");
	
	$social = array ( 'social-1'=>array('icon'=>'fa-flickr','link'=>'#'), 'social-2'=>array('icon'=>'fa-google','link'=>'#'), 'social-3'=>array('icon'=>'fa-facebook','link'=>'#'));
	
	$seo = array ( "title-delimiter" => "|", 
			"post-title-format" => array ( "blog_title", "post_title" ),
			"page-title-format" => array ( "blog_title", "post_title" ),
			"archive-page-title-format" => array ( "blog_title", "date"	),
			"category-page-title-format" => array (	"blog_title", "category_title" ),
			"tag-page-title-format" => array ( "blog_title", "tag"),
			"search-page-title-format" => array ( "blog_title", "search" ),
			"404-page-title-format" => array ( "blog_title"));	

	$specialty = array (
			"post-archives-layout" => "with-left-sidebar",
			"global-layout-layout" => "content-full-width",
			"portfolio-archives-layout" => "with-left-sidebar",
			"portfolio-archives-post-layout" => "one-half-column",
			"search-layout" => "both-sidebar",
			"search-post-layout" => "post-thumb",			
			"not-found-404-layout" => "content-full-width",
			"404-message" => "<h2> 404! </h2>
<h3> The page you are looking for is Not Found! </h3>
<p>Etiam sit amet orci eget eros faucibus tincidunt. Duis kalam <br> stefen kajas in the enter leo. Sed fringilla mauris sit amet nibh.  </p>",
			"archives-meta-options-enable-excerpt" => "true",
			"archives-meta-options-excerpt" => "20");

	$woo = array(
		"shop-product-per-page" => "10",
		"shop-page-product-layout" => "one-third-column",
		"product-layout" => "content-full-width",
		"product-category-layout" => "content-full-width",
		"product-tag-layout" => "content-full-width");
			
	$pagebuilder = array (
		'page' => 'page',
		'post' => 'post',
		'dt_portfolios' => 'dt_portfolios',
		'enable-pagebuilder' => false
	);
		
	$data = array(
		"general" => $general,
		"appearance" => $appearance,
		"integration" => $integration,
		"mobile" => $mobile,
		"social" => $social,
		"seo" => $seo,
		"specialty" => $specialty,
		"pagebuilder" => $pagebuilder,
		"woo" => $woo);		
					
	return $data;
}
}
// # --- **** dttheme_default_option() *** --- ###

/** dttheme_adminpanel_tooltip()
 * Objective:
 *		To place tooltip content in thme option page at back end.
 * args:
 *		1. $tooltip = content which is shown as tooltip
 **/
if (!function_exists('dttheme_adminpanel_tooltip')) {
function dttheme_adminpanel_tooltip($tooltip) {
	$output = "<div class='bpanel-option-help'>\n";
	$output .= "<a href='#'> <img src='" . IAMD_FW_URL . "theme_options/images/help.png'/></a>\n";
	$output .= "\r<div class='bpanel-option-help-tooltip'>\n";
	$output .= $tooltip;
	$output .= "\r</div>\n";
	$output .= "</div>\n";
	echo !empty( $output ) ? $output : '';
}
}
// # --- **** dttheme_adminpanel_tooltip() *** --- ###

/**
 * dttheme_adminpanel_image_preview()
 * Objective:
 * To place tooltip content in thme option page at back end.
 * args:
 * 1. $src = image source
 * 2. $backend = true - to get images placed in framework ? false - to get images stored in theme/images folder
 */
if (!function_exists('dttheme_adminpanel_image_preview')) {
function dttheme_adminpanel_image_preview($src, $backend = true, $default = "no-image.jpg") {
	$default = ($backend) ? IAMD_FW_URL . "theme_options/images/" . $default : IAMD_BASE_URL . "images/" . $default;
	$src = !empty($src) ? $src : $default;
	
	$output = "<div class='bpanel-option-help'>\n";
	$output .= "<a href='#' class='a_image_preivew'> <img src='" . IAMD_FW_URL . "theme_options/images/image-preview.png'/> </a>\n";
	$output .= "\r<div class='bpanel-option-help-tooltip imagepreview'>\n";
	$output .= "\r<img src='{$src}' data-default='{$default}' alt='' />";
	$output .= "\r</div>\n";
	$output .= "</div>\n";
	echo !empty( $output ) ? $output : '';
}
}
// # --- **** dttheme_adminpanel_image_preview() *** --- ###

/**
 * dttheme_pagelist()
 * Objective:
 * To create dropdown box with list of pages.
 * args:
 * 1. $id = page id
 * 2. $selected = ( true / false)
 */
if (!function_exists('dttheme_postlist')) {
function dttheme_postlist($id, $selected, $class = "mytheme_select") {
	global $post;
	$args = array (
			'numberposts' => - 1 
	);
	
	$name = explode ( ",", $id );
	if (count ( $name ) > 1) {
		$name = "[{$name[0]}][{$name[1]}]";
	} else {
		$name = "[{$name[0]}]";
	}
	$name = ($class == "multidropdown") ? "mytheme{$name}[]" : "mytheme{$name}";
	$output = "<select name='{$name}' class='{$class}'>";
	$output .= "<option value=''>" . esc_html__ ( 'Select Post', 'mountcool' ) . "</option>";
	$posts = get_posts ( $args );
	foreach ( $posts as $post ) :
		$id = esc_attr ( $post->ID );
		$title = esc_html ( $post->post_title );
		$output .= "<option value='{$id}' " . selected ( $selected, $id, false ) . ">{$title}</option>";
	endforeach
	;
	$output .= "</select>\n";
	echo !empty( $output ) ? $output : '';
}
}
// # --- **** dttheme_postlist() *** --- ###

/**
 * dttheme_productlist()
 * Objective:
 * To create dropdown box with list of products.
 * args:
 * 1. $id = page id
 * 2. $selected = ( true / false)
 */
if (!function_exists('dttheme_productlist')) {
function dttheme_productlist($id, $selected, $class = "mytheme_select") {
	global $post;
	$args = array (
			'numberposts' => - 1,
			'post_type' => 'product' 
	);
	
	$name = explode ( ",", $id );
	if (count ( $name ) > 1) {
		$name = "[{$name[0]}][{$name[1]}]";
	} else {
		$name = "[{$name[0]}]";
	}
	$name = ($class == "multidropdown") ? "mytheme{$name}[]" : "mytheme{$name}";
	$output = "<select name='{$name}' class='{$class}'>";
	$output .= "<option value=''>" . esc_html__ ( 'Select Product', 'mountcool' ) . "</option>";
	$posts = get_posts ( $args );
	foreach ( $posts as $post ) :
		$id = esc_attr ( $post->ID );
		$title = esc_html ( $post->post_title );
		$output .= "<option value='{$id}' " . selected ( $selected, $id, false ) . ">{$title}</option>";
	endforeach
	;
	$output .= "</select>\n";
	echo !empty( $output ) ? $output : '';
}
}
// # --- **** dttheme_productlist() *** --- ###
if (!function_exists('dttheme_product_taxonomy_list')) {
function dttheme_product_taxonomy_list($id, $selected = '', $class = "mytheme_select", $taxonomy = '') {
	$name = explode ( ",", $id );
	if (count ( $name ) > 1) {
		$name = "[{$name[0]}][{$name[1]}]";
	} else {
		$name = "[{$name[0]}]";
	}
	$name = ($class == "multidropdown") ? "mytheme{$name}[]" : "mytheme{$name}";
	$output = "<select name='{$name}' class='{$class}'>";
	$output .= "<option value=''>" . esc_html__ ( 'Select', 'mountcool' ) . "</option>";
	$cats = get_categories ( "taxonomy={$taxonomy}&hide_empty=0" );
	
	foreach ( $cats as $cat ) :
		$id = esc_attr ( $cat->term_id );
		$title = esc_html ( $cat->name );
		$output .= "<option value='{$id}' " . selected ( $selected, $id, false ) . ">{$title}</option>";
	endforeach
	;
	$output .= "</select>\n";
	
	return $output;
}
}
/**
 * dttheme_pagelist()
 * Objective:
 * To create dropdown box with list of pages.
 * args:
 * 1. $id = page id
 * 2. $selected = ( true / false)
 */
if (!function_exists('dttheme_pagelist')) {
function dttheme_pagelist($id, $selected, $class = "mytheme_select") {
	$name = explode ( ",", $id );
	if (count ( $name ) > 1) {
		$name = "[{$name[0]}][{$name[1]}]";
	} else {
		$name = "[{$name[0]}]";
	}
	$name = ($class == "multidropdown") ? "mytheme{$name}[]" : "mytheme{$name}";
	$output = "<select name='{$name}' class='{$class}'>";
	$output .= "<option value=''>" . esc_html__ ( 'Select Page', 'mountcool' ) . "</option>";
	$pages = get_pages ( 'title_li=&orderby=name' );
	foreach ( $pages as $page ) :
		$id = esc_attr ( $page->ID );
		$title = esc_html ( $page->post_title );
		$output .= "<option value='{$id}' " . selected ( $selected, $id, false ) . ">{$title}</option>";
	endforeach
	;
	$output .= "</select>\n";
	echo !empty( $output ) ? $output : '';
}
}
// # --- **** dttheme_pagelist() *** --- ###

/**
 * dttheme_categorylist()
 * Objective:
 * To create dropdown box with list of categories.
 * args:
 * 1. $id = dropdown id
 * 2. $selected = ( true / false)
 * 3. $class = default class
 */
if (!function_exists('dttheme_categorylist')) {
function dttheme_categorylist($id, $selected = '', $class = "mytheme_select") {
	$name = explode ( ",", $id );
	if (count ( $name ) > 1) {
		$name = "[{$name[0]}][{$name[1]}]";
	} else {
		$name = "[{$name[0]}]";
	}
	$name = ($class == "multidropdown") ? "mytheme{$name}[]" : "mytheme{$name}";
	$output = "<select name='{$name}' class='{$class}'>";
	$output .= "<option value=''>" . esc_html__ ( 'Select Category', 'mountcool' ) . "</option>";
	$cats = get_categories ( 'orderby=name&hide_empty=0' );
	foreach ( $cats as $cat ) :
		$id = esc_attr ( $cat->term_id );
		$title = esc_html ( $cat->name );
		$output .= "<option value='{$id}' " . selected ( $selected, $id, false ) . ">{$title}</option>";
	endforeach
	;
	$output .= "</select>\n";
	return $output;
}
}
// # --- **** dttheme_categorylist() *** --- ###
if (!function_exists('dttheme_portfolio_categorylist')) {
function dttheme_portfolio_categorylist($id, $selected = '', $class = "mytheme_select") {
	$name = explode ( ",", $id );
	if (count ( $name ) > 1) {
		$name = "[{$name[0]}][{$name[1]}]";
	} else {
		$name = "[{$name[0]}]";
	}
	$name = ($class == "multidropdown") ? "mytheme{$name}[]" : "mytheme{$name}";
	$cats = get_categories ( 'taxonomy=portfolio_entries&hide_empty=0' );
	if( is_array( $cats) ) {
		$output = "<select name='{$name}' class='{$class}'>";
		$output .= "<option value=''>" . esc_html__ ( 'Select Category', 'mountcool' ) . "</option>";

		foreach ( $cats as $cat ) :
			$id = esc_attr ( $cat->term_id );
			$title = esc_html ( $cat->name );
			$output .= "<option value='{$id}' " . selected ( $selected, $id, false ) . ">{$title}</option>";
		endforeach;
		$output .= "</select>\n";
	}
	return $output;
}
}
/**
 * dttheme_listImage()
 * Args:
 * 1.
 * $dir = location of the folder from which you wnat to get images
 * Objective:
 * Returns an array that contains icon names located at $dir.
 */
if (!function_exists('dttheme_listImage')) {
function dttheme_listImage($dir) {
	$sociables = array ();
	$icon_types = array (
			'jpg',
			'jpeg',
			'gif',
			'png' 
	);
	
	if (is_dir ( $dir )) {
		$handle = opendir ( $dir );
		while ( false !== ($dirname = readdir ( $handle )) ) {
			
			if ($dirname != "." && $dirname != "..") {
				$parts = explode ( '.', $dirname );
				$ext = strtolower ( $parts [count ( $parts ) - 1] );
				
				if (in_array ( $ext, $icon_types )) {
					$option = $parts [count ( $parts ) - 2];
					$sociables [$dirname] = str_replace ( ' ', '', $option );
				}
			}
		}
		closedir ( $handle );
	}
	
	return $sociables;
}
}
// # --- **** dttheme_listImage() *** --- ###

/**
 * dttheme_sociables_selection()
 * Objective:
 * Returns selection box.
 */
if (!function_exists('dttheme_sociables_selection')) {
function dttheme_sociables_selection($name = '', $selected = "") {
	
	$sociables =  array('fa-delicious' => 'Delicious', 'fa-dribbble' => 'Dribbble', 'fa-deviantart' => 'Deviantart', 'fa-digg' => 'Digg', 'fa-flickr' => 'Flickr', 'fa-twitter' => 'Twitter', 'fa-instagram' => 'Instagram','fa-weibo' => 'Weibo', 'fa-youtube' => 'Youtube', 'fa-facebook' => 'Facebook', 'fa-google-plus' => 'Google Plus', 'fa-google' => 'Google', 'fa-pinterest' => 'Pinterest', 'fa-reddit' => 'Reddit', 'fa-yahoo' => 'Yahoo', 'fa-vimeo-square' => 'Vimeo', 'fa-stumbleupon' => 'Stumble Upon', 'fa-linkedin' => 'Linkedin', 'fa-skype' => 'Skype', 'fa-tumblr' => 'Tumblr');
	
	$name = ! empty ( $name ) ? "name='mytheme[social][{$name}][icon]'" : '';
	$out = "<select class='social-select' {$name}>"; // ame attribute will be added to this by jQuery menuAdd()
	foreach ( $sociables as $key => $value ) :
		$s = selected ( $key, $selected, false );
		$v = ucwords ( $value );
		$out .= "<option value='{$key}' {$s} >{$v}</option>";
	endforeach;
	$out .= "</select>";
	return $out;
}	
}
// # --- **** dttheme_sociables_selection() *** --- ###

/**
 * dttheme_admin_color_picker()
 * Objective:
 * Outputs the wordpress default color picker.
 * Args:
 * 1.Label
 * 2.Name
 * 3.Value - stored in db
 * 4.Tooltip
 */
if (!function_exists('dttheme_admin_color_picker')) {
function dttheme_admin_color_picker($label, $name, $value, $tooltip = NULL) {
	global $wp_version;
	
	$output = "<div class='bpanel-option-set'>\n";
	if (! empty ( $label )) :
		$output .= "<label>{$label}</label>";
		$output .= "<div class='clear'></div>";
	
	
	endif;
	
	if (( float ) $wp_version >= 3.5) :
		$output .= "<input type='text' class='dt-color-field medium' name='{$name}' value='{$value}' />";
	 else :
		$output .= "<input type='text' class='medium color_picker_element' name='{$name}' value='{$value}' />";
		$output .= "<div class='color_picker'></div>";
	endif;
	echo !empty( $output ) ? $output : '';
	if ($tooltip != NULL) :
		dttheme_adminpanel_tooltip ( $tooltip );
	
	
	endif;
	echo "</div>\n";
}
}
// # --- **** dttheme_admin_color_picker() *** --- ###

/**
 * dttheme_admin_fonts()
 * Objective:
 * Outputs the fonts selection box.
 */
if (!function_exists('dttheme_admin_fonts')) {
function dttheme_admin_fonts($label, $name, $selctedFont) {
	global $dt_google_fonts;
	$f = IAMD_SAMPLE_FONT;
	$css = (! empty ( $selctedFont )) ? 'style="font-family:' . $selctedFont . ';"' : '';
	$output = "<div class='mytheme-font-preview' {$css}>{$f}</div>";
	$output .= "<label>{$label}</label>";
	$output .= "<div class='clear'></div>";
	$output .= "<select class='mytheme-font-family-selector' name='{$name}'>";
	$output .= "<option value=''>" . esc_html__ ( "Select", 'mountcool' ) . "</option>";
	foreach ( $dt_google_fonts as $fonts ) :
		$rs = selected ( $fonts, $selctedFont, false );
		$output .= "<option value='{$fonts}' {$rs}>{$fonts}</option>";
	endforeach
	;
	$output .= "</select>";
	echo !empty( $output ) ? $output : '';
}
}
// # --- **** dttheme_admin_fonts() *** --- ###

/**
 * dttheme_admin_jqueryuislider()
 * Objective:
 * Outputs the jQurey UI Slider.
 */
if (!function_exists('dttheme_admin_jqueryuislider')) {
function dttheme_admin_jqueryuislider($label, $id = '', $value = '', $px = "px") {
	$div_value = (! empty ( $value ) && ($px == "px")) ? $value . "px" : $value;
	$output = "<label>{$label}</label>";
	$output .= "<div class='clear'></div>";
	$output .= "<div id='{$id}' class='mytheme-slider' data-for='{$px}'></div>";
	$output .= "<input type='hidden' class='' name='{$id}' value='{$value}'/>";
	$output .= "<div class='mytheme-slider-txt'>{$div_value}</div>";
	echo !empty( $output ) ? $output : '';
}
}
// # --- **** dttheme_admin_jqueryuislider() *** --- ###

/**
 * getFolders()
 * Objective:
 */
if (!function_exists('getFolders')) {
function getFolders($directory, $starting_with = "", $sorting_order = 0) {
	if (! is_dir ( $directory ))
		return false;
	$dirs = array ();
	$handle = opendir ( $directory );
	while ( false !== ($dirname = readdir ( $handle )) ) {
		if ($dirname != "." && $dirname != ".." && is_dir ( $directory . "/" . $dirname )) {
			if ($starting_with == "")
				$dirs [] = $dirname;
			else {
				$filter = strstr ( $dirname, $starting_with );
				if ($filter !== false)
					$dirs [] = $dirname;
			}
		}
	}
	
	closedir ( $handle );
	
	if ($sorting_order == 1) {
		rsort ( $dirs );
	} else {
		sort ( $dirs );
	}
	return $dirs;
}
}
// # --- **** getFolders() *** --- ###

/**
 * dttheme_switch()
 * Objective:
 * Outputs the switch control at the backend.
 */
if (!function_exists('dttheme_switch')) {
function dttheme_switch($label, $parent, $name) {
	$checked = ("true" == dttheme_option ( $parent, $name )) ? ' checked="checked"' : '';
	$switchclass = ("true" == dttheme_option ( $parent, $name )) ? 'checkbox-switch-on' : 'checkbox-switch-off';
	$out = "<div data-for='mytheme-{$parent}-{$name}' class='checkbox-switch {$switchclass}'></div>";
	$out .= "<input id='mytheme-{$parent}-{$name}' class='hidden' name='mytheme[{$parent}][{$name}]' type='checkbox' value='true' {$checked} />";
	echo !empty( $out ) ? $out : '';
}
}
// # --- **** dttheme_switch() *** --- ###

/**
 * dttheme_switch()
 * Objective:
 * Outputs the switch control at the backend.
 */
if (!function_exists('dttheme_switch_page')) {
function dttheme_switch_page($label, $name, $value, $datafor = NULL) {
	$checked = ("true" == $value) ? ' checked="checked"' : '';
	$switchclass = ("true" == $value) ? 'checkbox-switch-on' : 'checkbox-switch-off';
	$datafor = ($datafor == NULL) ? $name : $datafor;
	$out = "<label>{$label}</label>";
	$out .= '<div class="clear"></div>';
	$out .= "<div data-for='{$datafor}' class='checkbox-switch {$switchclass}'></div>";
	$out .= "<input id='{$datafor}' class='hidden' name='{$name}' type='checkbox' value='true' {$checked} />";
	
	echo !empty( $out ) ? $out : '';
}
}
// # --- **** dttheme_switch() *** --- ###

/**
 * dttheme_bgtypes()
 * Objective:
 * Outputs the <select></select> control at the backend.
 */
if (!function_exists('dttheme_bgtypes')) {
function dttheme_bgtypes($name, $parent, $child) {
	$args = array (
			"bg-patterns" => __ ( "Pattern", 'mountcool' ),
			"bg-custom" => __ ( "Custom Background", 'mountcool' ),
			"bg-none" => __ ( "None", 'mountcool' ) 
	);
	$out = '<div class="bpanel-option-set">';
	$out .= "<label>" . esc_html__ ( "Background Type", 'mountcool' ) . "</label>";
	$out .= "<div class='clear'></div>";
	$out .= "<select class='bg-type' name='{$name}'>";
	foreach ( $args as $k => $v ) :
		$rs = selected ( $k, dttheme_option ( $parent, $child ), false );
		$out .= "<option value='{$k}' {$rs}>{$v}</option>";
	endforeach
	;
	$out .= "</select>";
	$out .= '</div>';
	echo !empty( $out ) ? $out : '';
}
}
### --- ****  dttheme_bgtypes() *** --- ###
if (!function_exists('dttheme_standard_font')) {
function dttheme_standard_font($label, $name, $selectedFont ){
	$fonts = array("Arial","Verdana, Geneva","Trebuchet","Georgia","Times New Roman","Tahoma, Geneva","Palatino","Helvetica");
	$output = "<label>{$label}</label>";
	$output .= "<div class='clear'></div>";
	$output .= "<select class='mytheme-select' name='{$name}'>";
	$output .= "<option value=''>" . esc_html__ ( "Select", 'mountcool' ) . "</option>";
	foreach ( $fonts as $font ) {
		$rs = selected ( $font, $selectedFont, false );
		$output .= "<option value='{$font}' {$rs}>{$font}</option>";
	}
	$output .= "</select>";
	echo !empty( $output ) ? $output : '';
}
}


if (!function_exists('dttheme_standard_font_style')) {
function dttheme_standard_font_style($label, $name, $selectedFontStyle) {
	$styles = array("Normal","Italic","Bold","Bold Italic");
	$output = "<label>{$label}</label>";
	$output .= "<div class='clear'></div>";
	$output .= "<select class='mytheme-select' name='{$name}'>";
	$output .= "<option value=''>" . esc_html__ ( "Select", 'mountcool' ) . "</option>";
	foreach ( $styles as $style ) {
		$rs = selected ( $style, $selectedFontStyle, false );
		$output .= "<option value='{$style}' {$rs}>{$style}</option>";
	}
	$output .= "</select>";
	echo !empty( $output ) ? $output : '';
}
}


if (!function_exists('dttheme_custom_widgetarea_list')) {
function dttheme_custom_widgetarea_list( $id, $selected = "", $class="mytheme_select", $sidebar = '') {
	$name = explode ( ",", $id );
	if (count ( $name ) > 1) {
		$name = "[{$name[0]}][{$name[1]}]";
	} else {
		$name = "[{$name[0]}]";
	}

	$name = ($class == "multidropdown") ? "mytheme{$name}[]" : "mytheme{$name}";

	$widgets = dttheme_option('widgetarea',$sidebar);
    $widgets = is_array($widgets) ? array_unique($widgets) : array();
    $widgets = array_filter($widgets);

	$output = "<select name='{$name}' class='{$class}'>";
	$output .= "<option value=''>" . esc_html__ ( 'Select Widget Area', 'mountcool' ) . "</option>";
	foreach( $widgets as $widget){
		$id = mb_convert_case($widget, MB_CASE_LOWER, "UTF-8");
    	$id = str_replace(" ", "-", $widget);
    	$output .= "<option value='{$id}' " . selected ( $selected, $id, false ) . ">{$widget}</option>";
	}
	$output .= "</select>\n";
	return $output;
	
}
}