jQuery.noConflict();
jQuery(document).ready(function ($) {

	"use strict";
    // Gutenberg - Fullwidth Section Fix
    $('.alignfull').each(function() {
        if($(this).parents('body').hasClass('has-gutenberg-blocks') && $(this).parents('#primary').hasClass('content-full-width')) {
            if($(this).parents('body').hasClass('layout-boxed')) {
                var containerWidth = $('.layout-boxed .wrapper').width();
                $(this).css('width', containerWidth);

                var mainLeft = $('#main').offset().left;
                var primaryLeft = $('#primary').offset().left;

                var sectionMargin = parseInt(primaryLeft, 10) - parseInt(mainLeft, 10);

                var offset = 0 - sectionMargin;
                $(this).css('left', offset);
            } else {

                var windowWidth = $(window).width();
                $(this).css('width', windowWidth);

                var $container = '';
                $container = $(this).parents('.content-full-width');

                var offset = 0 - $container.offset().left;
                $(this).css('left', offset);
            }
        }
    });

    // Gutenberg - WP Category Widget Fix
    if($('.wp-block-categories-list').length) {

        $('.wp-block-categories-list').find('li').each(function() {

            var span_text = $(this).find('span:first').html();
            $(this).find('span:first').remove()
            $('<span>'+span_text+'</span>').insertAfter($(this).find('a:first')); 
            
        });
    }    	

	var isMobile = (navigator.userAgent.match(/iPhone/i)) || (navigator.userAgent.match(/iPod/i)) || (navigator.userAgent.match(/iPad/i)) || (navigator.userAgent.match(/Android/i)) || (navigator.userAgent.match(/Blackberry/i)) || (navigator.userAgent.match(/Windows Phone/i)) ? true : false;
	var currentWidth = window.innerWidth || document.documentElement.clientWidth;

	// Select Dropdown arrow  
	$("select").each(function () {
		if ($(this).css('display') != 'none') {
			$(this).wrap('<div class="selection-box"></div>');
		}
	});

	$("p:empty").remove();

	// Sticky Header
	if (mytheme_urls.stickynav === "enable" && !isMobile && currentWidth > 767 && mytheme_urls.header_styles != 'type7') {
		$("#header").sticky({
			topSpacing: 0
		});
	} // Sticky Header End

	// One page navigation 
	$('#main-menu').onePageNav({
		currentClass: 'current_page_item',
		filter: ':not(.external)',
		scrollSpeed: 750,
		scrollOffset: 87,
		scrollChange: fixMagicline
	});

	//MINI MOBILE MENU...
	$('nav#main-menu').meanmenu({
		meanMenuContainer: $('header .menu-main-menu-container'),
		meanRevealPosition: 'left',
		meanScreenWidth: 767,
		meanMenuClose: "<span/><span/><span/>",
		onePage: true
	});

	//Scroll Down... Pattern
	$('#top-content #scrolldown a').on('click', function (e) {
		$.scrollTo($('#top-content #scrolldown a').attr('href'), 1400, {
			offset: {
				top: -147
			}
		});
		e.preventDefault();
	});

	if ($('body').hasClass('page-template-tpl-onepage-php')) {
		$('#menu-main-menu a:first, .menu-main-menu a:first, #menu-menu-2 a:first, .pusy-left-menu a:first, .group.menu.dt-vertical-menu a:first').on('click',function (e) {
			$.scrollTo('#' + $('.content').attr('id'), 1400);
			e.preventDefault();
		});
	}

	var currentWidth = window.innerWidth || document.documentElement.clientWidth;
	if (currentWidth > 767) {
		if ($('#primary').hasClass('with-both-sidebar')) {
			if (($('#secondary-left').is(':empty') && $('#secondary-right').is(':empty'))) {
				$('#primary').addClass("content-full-width").removeClass("with-sidebar with-both-sidebar");
			} else if ($('#secondary-left').is(':empty')) {
				$('#primary').addClass("with-right-sidebar").removeClass("with-both-sidebar");
			} else if ($('#secondary-right').is(':empty')) {
				$('#primary').addClass("with-left-sidebar").removeClass("with-both-sidebar");
			}
		} else if ($('#primary').hasClass('with-left-sidebar')) {
			if ($('#secondary-left').is(':empty')) {
				$('#primary').addClass("content-full-width").removeClass("with-sidebar with-left-sidebar");
			}
		} else if ($('#primary').hasClass('with-right-sidebar')) {
			if ($('#secondary-right').is(':empty')) {
				$('#primary').addClass("content-full-width").removeClass("with-sidebar with-right-sidebar");
			}
		}
	}

	// Goto Top
	$().UItoTop({
		easingType: 'easeOutQuart'
	});

	//Nice Scroll
	if (mytheme_urls.nicescroll == "enable" && 
        	$(window).width() > 767 &&
        	! navigator.userAgent.match(/(Android|iPod|iPhone|iPad|IEMobile|Opera Mini)/) && ! navigator.platform.match(/(Mac|iPhone|iPod|iPad)/i) ) {
            $("html").niceScroll({
                zindex: 999999,
                cursorborder: "1px solid #424242"
            });
        }

	//Toggle Panel starts
	jQuery('#panel').hide();

	jQuery("#toggle-panel").on('click', function () {
		if (jQuery('#toggle i').hasClass('fa-plus')) {
			jQuery('#toggle i').removeClass('fa-plus');
			jQuery('#toggle i').addClass('fa-minus');
			jQuery("#panel").slideDown();
		} else {
			jQuery('#toggle i').removeClass('fa-minus');
			jQuery('#toggle i').addClass('fa-plus');
			jQuery("#panel").slideUp();
		}

	}); //Toggle Panel ends

	//Load After Window Loads...
	$(window).on('load', function(){
		my_smartresize_function();

		var $gutter_width;

		if (mytheme_urls.loadingbar === "enable") {
			$('#preloader').fadeOut('slow', function () {
				$(this).remove();
			});
		}

		if ($(".apply-isotope").length) {
			if ($("#blog-columns").hasClass("div.dt-sc-fullwidth")) {
				$gutter_width = 20;
			} else {
				$gutter_width = 15;
			}
			$(".apply-isotope").isotope({
				itemSelector: '.column',
				transformsEnabled: false,
				masonry: {
					gutterWidth: $gutter_width
				}
			});
		}

		//portfolio starts
		var $external_container = $('.dt-sc-portfolio-containerr');
		if ($("#portfolio").find("div.dt-sc-one-fourth")) {
			if ($("#primary").hasClass("content-full-width")) {
				$gutter_width = 20;
			} else if ($("#primary").hasClass("with-sidebar with-both-sidebar")) {
				$gutter_width = 8;
			} else {
				$gutter_width = 10;
			}
		} else {
			$gutter_width = 18;
		}

		if ($external_container.length) {
			$(window).smartresize(function () {
				$external_container.css({
					overflow: 'hidden'
				}).isotope({
					itemSelector: '.isotope-item',
					masonry: {
						gutterWidth: $gutter_width
					}
				});
			});

			$external_container.isotope({
				filter: '*',
				masonry: {
					gutterWidth: $gutter_width
				},
				animationOptions: {
					duration: 750,
					easing: 'linear',
					queue: false
				}
			});
		}

		if ($("div.dt-sc-sorting-containerr").length) {
			$("div.dt-sc-sorting-containerr a").on('click', function () {
				$("div.dt-sc-sorting-containerr a").removeClass("active-sort");
				var selector = $(this).attr('data-filter');
				$(this).addClass("active-sort");
				$external_container.isotope({
					filter: selector,
					masonry: {
						gutterWidth: $gutter_width
					},
					animationOptions: {
						duration: 750,
						easing: 'linear',
						queue: false
					}
				});
				return false;
			});
		}
		//portfolio ends

	});

	$(window).smartresize(function () {
		my_smartresize_function();
	});

	/* Navigation Section */

	if (!isMobile && currentWidth > 767) {

		if (mytheme_urls.header_styles == 'type5') {

			$('#main-menu').onePageNav({
				currentClass: 'current_page_item',
				filter: ':not(.external)',
				scrollSpeed: 750,
				scrollOffset: 86
			});

		} else if (mytheme_urls.header_styles == 'type7') {

			$(window).scroll(function () {
				if ($(document).scrollTop() < 90) {
					$('.collapse').css({
						'display': 'none'
					});
				} else {
					$('.collapse').css({
						'display': 'block'
					});
				}
			});

			//VISUAL NAV...
			$('#fp-nav').onePageNav({
				currentClass: 'current_page_item',
				filter: ':not(.external)',
				scrollSpeed: 750,
				scrollOffset: -2,
				scrollChange: fixMagicline
			});

			//Sidebar active...
			$('#rt-menu-wrapper > ul, .menu-light > ul').onePageNav({
				currentClass: 'current_page_item',
				filter: ':not(.external)',
				scrollSpeed: 750,
				scrollOffset: -1
			});

			//ONE PAGE NAV...
			$('#main-menu').onePageNav({
				currentClass: 'current_page_item',
				filter: ':not(.external)',
				scrollSpeed: 750,
				scrollOffset: -2,
				scrollChange: fixMagicline
			});

		} else if (mytheme_urls.header_styles == 'type8') {

			$.slidebars();
			$('.sb-slidebar .menu-main-menu').onePageNav({
				currentClass: 'current_page_item',
				filter: ':not(.external)',
				scrollSpeed: 750,
				scrollOffset: 87
			});
		}


	} else {
		//
		$('header').attr('id', 'header');
		$("div.sb-toggle-right.navbar-right").remove();

	}

	//Portfolio Single page Slider
	if (($(".portfolio-slider").length) && ($(".portfolio-slider li").length > 1)) {
		$('.portfolio-slider').bxSlider({
			auto: true,
			mode: 'fade',
			pager: ''
		});
	}

	//Single Blog Slider
	if (($("ul.entry-gallery-post-slider").length) && ($("ul.entry-gallery-post-slider li").length > 1)) {
		$("ul.entry-gallery-post-slider").bxSlider({
			auto: false,
			video: true,
			useCSS: false,
			pager: '',
			autoHover: true,
			adaptiveHeight: true
		});
	}

	/* add icon to comment btn*/
	$('<i class="fa fa-envelope"> </i>').insertAfter("#comment_parent");

	//PRETTYPHOTO...
	var $pphoto = $('a[data-gal^="prettyPhoto[gallery]"]');
	if ($pphoto.length) {
		$("a[data-gal^='prettyPhoto[gallery]']").prettyPhoto({
			hook: 'data-gal',
			overlay_gallery: false,
			social_tools: false,
			deeplinking: false
		});
	}

	//Woocommerce 
	if (jQuery('.tabs').length > 0) {
		jQuery('.tabs').each(function () {
			jQuery(this).find("li:first a").addClass('active');
		});

		jQuery('.tabs li a').on('click', function () {
			jQuery('.tabs li a').removeClass('active');
			jQuery(this).addClass('active');
		});
	}

	$('.wp-video').css('width', '100%');
	$('.wp-video-shortcode').css('width', '100%');
	$('.wp-video-shortcode').css('height', '100%');
	$("div.dt-video-wrap").fitVids();
});

//MeanMenu Custom Scroll...
function funtoScroll(x, e) {
	"use strict";
	var str = new String(e.target);
	var pos = str.indexOf('#');
	var t = str.substr(pos);

	var eleclass = jQuery(e.target).prop("class");

	if (eleclass == "external") {
		window.location.href = e.target;
	} else {
		jQuery.scrollTo(t, 750, {
			offset: {
				top: -44
			}
		});
	}

	jQuery(x).parent('.mean-bar').next('.mean-push').remove();
	jQuery(x).parent('.mean-bar').remove();

	jQuery('nav#main-menu').meanmenu({
		meanMenuContainer: jQuery('header .menu-main-menu-container'),
		meanRevealPosition: 'left',
		meanScreenWidth: 767,
		meanMenuClose: "<span /><span /><span />",
		onePage: true
	});

	e.preventDefault();
}(jQuery);

//CUSTOM FIX...
function fixMagicline() {

	var $magicLine = jQuery("#magic-line-two");

	var leftPos, newWidth;

	leftPos = jQuery(".current_page_item a").position().left;
	newWidth = jQuery(".current_page_item").width();

	$magicLine.stop().animate({
		left: leftPos,
		width: newWidth
	});
}


//CAROUSEL...
function my_smartresize_function() {

	//ISOTOPE CATEGORY...
	var $container = jQuery('.dt-sc-portfolio-container');
	$ctr = jQuery('.container').width();

	jQuery('.dt-sc-sorting-container a').on('click', function () {
		jQuery('.dt-sc-sorting-container').find('a').removeClass('active-sort');
		jQuery(this).addClass('active-sort');

		var selector = jQuery(this).attr('data-filter');

		if ($ctr < 710) {
			var opt = {
				filter: selector,
				itemSelector: jQuery('.dt-sc-portfolio-container .portfolio'),
				masonry: {
					columnWidth: 0
				}
			};
		} else {
			var opt = {
				filter: selector,
				layoutMode: 'perfectMasonry',
				perfectMasonry: {
					layout: 'vertical',
					liquid: true
				}
			};
		}
		$container.isotope(opt);
		return false;
	});

	if ($ctr < 710) {
		var opt = {
			itemSelector: jQuery('.dt-sc-portfolio-container .portfolio'),
			masonry: {
				columnWidth: 0
			}
		};
	} else {
		var opt = {
			layoutMode: 'perfectMasonry',
			perfectMasonry: {
				layout: 'vertical',
				liquid: true
			}
		};
	}
	$container.isotope(opt);

	//PORTFOLIO CAROUSEL...
	if (jQuery(".portfolio-carousel").length) {
		var pmax = 3;
		if (jQuery('.container').width() < 710) {
			pmax = 1;
		} else if (jQuery('.container').width() > 710 && jQuery('.container').width() < 768) {
			pmax = 1;
		}

		jQuery(".portfolio-carousel").carouFredSel({
			responsive: true,
			auto: false,
			width: '100%',
			prev: jQuery('.carousel-arrows').find('.prev-arrow'),
			next: jQuery('.carousel-arrows').find('.next-arrow'),
			height: 'auto',
			scroll: 1,
			items: {
				width: jQuery(this).find('.column').width(),
				visible: {
					min: 1,
					max: pmax
				}
			}
		});
	}

}

//LIKES Count
jQuery('.likeThis-portfolio').on('click', function () {
	var el = jQuery(this);
	if (el.hasClass('liked')) return false;

	var post = {
		action: 'dt_themes_like_love',
		post_id: el.attr('data-id')
	};

	jQuery.post(mytheme_urls.ajaxurl, post, function (data) {
		el.find('.label').html(data);
		el.addClass('liked');
	});
	return false;
});