jQuery(document).ready(function($){

  "use strict";
  var $picker_container = jQuery("div.dt-style-picker-wrapper"),
      $theme_url = mytheme_urls.theme_base_url,
      $fw_url = mytheme_urls.framework_base_url,
	  $rtl = mytheme_urls.isRTL,
      $patterns_url = $fw_url+"theme_options/images/patterns/";

  //Applying Cookies

	if($.cookie("mountcool_skin")!= null){
		var $href = mytheme_urls.theme_base_url + '/skins/' + $.cookie("mountcool_skin")+"/style.css";
		$("link[id='mountcool-skin-css']").attr("href",$href);
		$("ul.color-picker a[id='"+$.cookie("mountcool_skin")+"']").addClass("selected");
	}else{
		$("ul.color-picker a:first").addClass("selected");
	}
  
	if($rtl == true) {
		if ( $.cookie('mountcool-control-open') === '1' ) {
			$picker_container.animate({right: 0});
			$('a.style-picker-ico').removeClass('control-open');
		} else {
			$picker_container.animate( { right: -230 } );
			$('a.style-picker-ico').addClass('control-open');
		}
	} else {
		if ( $.cookie('mountcool-control-open') === '1' ) {
			$picker_container.animate({left: 0});
			$('a.style-picker-ico').removeClass('control-open');
		} else {
			$picker_container.animate( { left: -230 } );
			$('a.style-picker-ico').addClass('control-open');
		}
	}

  //1. Applying Layout & patterns
  if($.cookie("mountcool_layout") === "fullwidth"){
	  $("body").removeAttr("style").removeClass("boxed");
      $("div#pattern-holder").slideUp();
      $("ul.pattern-picker a").removeAttr("class");
  }

  if($.cookie("mountcool_layout") === "boxed"){
	  
    $("ul.layout-picker li a").removeAttr("class");
    $("ul.layout-picker li a[id='"+$.cookie("mountcool_layout")+"']").addClass("selected");

	  $("div#pattern-holder").removeAttr("style");
    $('body').addClass('boxed');
    if($.cookie("mountcool_pattern")) {
	    var $i = $.cookie("mountcool_pattern");
    	var $img = $patterns_url+$i;
        $('body').css('background-image', 'url('+$img+')');
	}
	
    
  }//Applying Cookies End
  
	//Picker On/Off
	$("a.style-picker-ico").on('click', function(e){
		var $this = $(this);	
		
		if($rtl == true) {
			if($this.hasClass('control-open')){
				$picker_container.animate({right: 0},function(){$this.removeClass('control-open');});
				$.cookie('mountcool-control-open', 1, { path: '/' });	
			}else{
				$picker_container.animate({right: -230},function(){$this.addClass('control-open');});
				$.cookie('mountcool-control-open', 0, { path: '/' });
			}
		} else {
			if($this.hasClass('control-open')){
				$picker_container.animate({left: 0},function(){$this.removeClass('control-open');});
				$.cookie('mountcool-control-open', 1, { path: '/' });	
			}else{
				$picker_container.animate({left: -230},function(){$this.addClass('control-open');});
				$.cookie('mountcool-control-open', 0, { path: '/' });
			}
		}
		
		e.preventDefault();
	});//Picker On/Off end

  //Layout Picker
  $("ul.layout-picker a").on('click', function(e){
    var $this = $(this);
    $("ul.layout-picker a").removeAttr("class");
    $this.addClass("selected");
    $.cookie("mountcool_layout", $this.attr("id"), { path: '/' });

    if( $.cookie("mountcool_layout") === "boxed") {
      $("body").addClass("boxed");
      $("div#pattern-holder").slideDown();
		if( $.cookie("mountcool_pattern") == null ){
			$("ul.pattern-picker a:first").addClass('selected');
			$.cookie("mountcool_pattern","pattern1.jpg",{ path: '/' });
			$('body').css('background-image', 'url('+$patterns_url+'pattern1.jpg)');
		} else {
			$img = $patterns_url+$.cookie("mountcool_pattern");
			$('body').css('background-image', 'url('+$img+')');
      }
    } else {
      $("body").removeAttr("style").removeClass("boxed");
      $("div#pattern-holder").slideUp();
      $("ul.pattern-picker a").removeAttr("class");
    }
    window.location.href = location.href;
    e.preventDefault();
  });//Layout Picker End

  //Pattern Picker
  $("ul.pattern-picker a").on('click', function(e){
    
    if($.cookie("mountcool_layout") === "boxed"){
      var $this = $(this);
      $("ul.pattern-picker a").removeAttr("class");
      $this.addClass("selected");
      $.cookie("mountcool_pattern", $this.attr("data-image"), { path: '/' });
      var $img = $patterns_url+$.cookie("mountcool_pattern");
      $('body').css('background-image', 'url('+$img+')');
    }
    e.preventDefault();
  });//Pattern Picker End

  //Color Picker
  $("ul.color-picker a").on('click', function(e){
    var $this = $(this);
    $("ul.color-picker a").removeAttr("class");
    $this.addClass("selected");
    $.cookie("mountcool_skin", $this.attr("id"), { path: '/' });
    $href = $("link[id='mountcool-skin-css']").attr("href");
    $href = $href.substr(0,$href.lastIndexOf("/"));
    $href = $href.substr(0,$href.lastIndexOf("/"))+"/"+$this.attr("id")+"/style.css";
    $("link[id='mountcool-skin-css']").attr("href",$href);
    e.preventDefault();
  });//Color Picker End
});