<!--- Start loop to show blog posts -->
<?php 
$tpl_postid = $post->ID;

$tpl_default_settings = get_post_meta( $post->ID, '_tpl_default_settings', TRUE );
$tpl_default_settings = is_array( $tpl_default_settings ) ? $tpl_default_settings  : array();

$post_layout = isset( $tpl_default_settings['blog-post-layout'] ) ? $tpl_default_settings['blog-post-layout'] : "post-thumb";
$post_per_page = isset($tpl_default_settings['blog-post-per-page']) ? $tpl_default_settings['blog-post-per-page'] : -1;
$categories = isset($tpl_default_settings['blog-post-exclude-categories']) ? array_filter($tpl_default_settings['blog-post-exclude-categories']) : NULL;

$hide_date_meta = isset( $tpl_default_settings['disable-date-info'] ) ? " hidden " : "";
$hide_comment_meta = isset( $tpl_default_settings['disable-comment-info'] ) ? " hidden " : " comments ";
$hide_author_meta = isset( $tpl_default_settings['disable-author-info'] ) ? " hidden " : "";
$hide_category_meta = isset( $tpl_default_settings['disable-category-info'] ) ? " hidden " : "";
$hide_tag_meta = isset( $tpl_default_settings['disable-tag-info'] ) ? " hidden " : "tags";

//$container_class = "";

switch($post_layout):
	case 'post-thumb':
		$post_class = " dt-sc-fullwidth column";
		$columns = 1;
	break;

	case 'one-half-column';
		$post_class = " dt-sc-one-half column";
		$columns = 2;
	break;
endswitch;

?>

<?php 
$blog_posts = get_post($post->ID);
echo do_shortcode($blog_posts->post_content);
?>

<?php if(is_page_template('tpl-onepage.php')): echo '<div class="container">'; endif; ?>

<?php
echo "<div class='blog-items apply-isotope'>";

if ( get_query_var('paged') ) { $paged = get_query_var('paged'); }
elseif ( get_query_var('page') ) { $paged = get_query_var('page'); }
else { $paged = 1; }


if ( empty( $categories ) ):
	$args = array( 'paged'=>$paged, 'posts_per_page'=>$post_per_page, 'post_type'=> 'post' );
else:
	$exclude_cats = array_unique( $categories );
	$args = array( 'paged'=>$paged, 'posts_per_page'=>$post_per_page, 'category__not_in'=>$exclude_cats, 'post_type'=>'post' );
endif;

$the_query = new WP_Query($args);

if( $the_query->have_posts() ):
	$i = 1;
	while( $the_query->have_posts() ):
		$the_query->the_post();
		
		$current_post = $the_query->current_post;
		if($current_post % 2 == 0){
			$article_class = '';
		}else{
			$article_class = 'alignright';
		}
		
		$temp_class = "";
		if($i == 1) $temp_class = $post_class." first"; else $temp_class = $post_class;
		if($i == $columns) $i = 1; else $i = $i + 1;

		$format = get_post_format(  get_the_id() );
		
		$format_icons = array( 'status' => 'fa-comment', 'quote' => 'fa-quote-left', 'gallery' => 'fa-camera', 'image' => 'fa-image', 'video' => 'fa-film', 'audio' => 'fa-music', 'link' => 'fa-link', 'aside' => 'fa-align-left', 'chat' => 'fa-comments' );
		
		if(isset($format_icons[$format])) $format_icon = $format_icons[$format]; else $format_icon = 'fa-pencil';
		?>
        
        <?php $format_class = ''; if( empty($format) ) { $format_class = 'without-image'; } ?>

		<div id="blog-columns" class="<?php echo esc_attr($temp_class); ?>">
			<!-- #post-<?php the_ID(); ?> starts -->
			<article id="post-<?php the_ID(); ?>" <?php post_class('blog-post dt-sc-fullwidth  '.$article_class.' '.$format_class.' '); ?>>
            
				<?php 
				$post_meta = get_post_meta(get_the_id() ,'_dt_post_settings',TRUE);
                $post_meta = is_array( $post_meta ) ? $post_meta  : array(); 
				$pholder = dttheme_option('general', 'disable-placeholder-images');
				?>
            	<?php
				if($format == 'quote') { ?>	
                	
                    <div class="black-box">  
                        
                        <div class="post-detail">
                        
                        	<div class="entry-title">
                                <h4><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a> </h4>
                            </div>
                            <div class="entry-metadata">
                                 <p class="author <?php echo esc_attr($hide_author_meta); ?>"> 
                                     <?php esc_html_e('By:','mountcool'); ?>
                                     <a href="<?php echo get_author_posts_url(get_the_author_meta('ID')); ?>" title="<?php esc_html_e('View all posts by ', 'mountcool').get_the_author(); ?>"><?php echo get_the_author(); ?></a>
                                     <?php if($hide_date_meta != " hidden "): echo '- '.get_the_date('M d, Y'); endif;?>
                                 </p>
                            </div><?php 
							if(is_sticky()): ?>
                                <div class="featured-post"> <div><span class="fa fa-trophy"> </span> <span class="text"> <?php esc_html_e('Featured','mountcool'); ?> </span></div></div>
                            <?php endif;?>
                            <div class="entry-body">
								<?php if( array_key_exists('quote', $post_meta) ) { ?>
                                    <p><a href="<?php the_permalink(); ?>"><?php echo esc_html($post_meta['quote']); ?></a></p>
                                    <?php if( array_key_exists('quoteby', $post_meta) ) { ?>
                                        <span>- <?php echo esc_html($post_meta['quoteby']); ?></span>
                                    <?php } ?>
                                <?php } else { ?>
                                    <p><a href="<?php the_permalink(); ?>"><?php echo get_the_excerpt(); ?></a></p>
                                <?php } ?>
                            </div>
                        
                        </div><!--post-detail ends-->
                        
                     </div><!--Black Box ends-->
				
                <?php	
				} else {
					
				    if($current_post % 2 == 0) { 
					  //if( !empty($format) ) {?>
                          <div class="entry-thumb">
                            <?php if( $format === "image" ): ?>
                                    <a href="<?php the_permalink(); ?>" title="<?php printf(esc_attr__('%s','mountcool'),the_title_attribute('echo=0')); ?>">
                                    <?php if( has_post_thumbnail() ):
                                            $attachment_id = get_post_thumbnail_id(get_the_id());
                                            $img_attributes = wp_get_attachment_image_src($attachment_id, "full");
                                            echo "<img src='".$img_attributes[0]."' alt='".get_the_title()."' />";
                                          elseif($pholder != 'on'):?>
                                            <img src="http://placehold.it/423x178&amp;text=Image" alt="<?php printf(esc_attr__('%s','mountcool'),the_title_attribute('echo=0')); ?>" title="<?php printf(esc_attr__('%s','mountcool'),the_title_attribute('echo=0')); ?>" />
                                    <?php endif;?>
                                    </a>
                            <?php elseif( $format === "gallery" && array_key_exists("items", $post_meta)):
                                        echo "<ul class='entry-gallery-post-slider'>";
                                        foreach ( $post_meta['items'] as $item ) { 
                                            $attachment_id = dt_get_attachment_id_from_url($item);
                                            $img_attributes = wp_get_attachment_image_src($attachment_id, "full");
                                            echo "<li><img src='".$img_attributes[0]."' alt='".get_the_title()."' /></li>";
                                        }
                                        echo "</ul>";
                                  elseif( $format === "video" && ( array_key_exists('oembed-url', $post_meta) || array_key_exists('self-hosted-url', $post_meta) ) ):
                                        if( array_key_exists('oembed-url', $post_meta) && ! isset( $_COOKIE['dtPrivacyVideoEmbedsDisabled'] ) ):
                                            echo "<div class='dt-video-wrap'>".wp_oembed_get($post_meta['oembed-url']).'</div>';
                                        elseif( array_key_exists('self-hosted-url', $post_meta) ):
                                            echo "<div class='dt-video-wrap'>".apply_filters( 'the_content', $post_meta['self-hosted-url'] ).'</div>';
                                        endif;
                                  elseif( $format === "audio" && (array_key_exists('oembed-url', $post_meta) || array_key_exists('self-hosted-url', $post_meta)) ):
                                        if( array_key_exists('oembed-url', $post_meta) ):
                                            echo wp_oembed_get($post_meta['oembed-url']);
                                        elseif( array_key_exists('self-hosted-url', $post_meta) ):
                                            echo apply_filters( 'the_content', $post_meta['self-hosted-url'] );
                                        endif;
                                  else: ?>
                                    <a href="<?php the_permalink(); ?>" title="<?php printf(esc_attr__('%s','mountcool'),the_title_attribute('echo=0')); ?>"><?php
                                        if( has_post_thumbnail() ):
                                            $attachment_id = get_post_thumbnail_id(get_the_id());
                                            $img_attributes = wp_get_attachment_image_src($attachment_id, "full");
                                            echo "<img src='".$img_attributes[0]."' alt='".get_the_title()."' />";
                                        elseif($pholder != 'on'):?>
                                            <img src="http://placehold.it/423x178&amp;text=Image" alt="<?php printf(esc_attr__('%s','mountcool'),the_title_attribute('echo=0')); ?>" title="<?php printf(esc_attr__('%s','mountcool'),the_title_attribute('echo=0')); ?>" />
                                    <?php endif;?></a>
                            <?php endif; ?>
                            <?php if(is_sticky()): ?>
                                    <div class="featured-post"> <div> <span class="fa fa-trophy"> </span> <span class="text"> <?php esc_html_e('Featured','mountcool'); ?> </span></div></div>
                            <?php endif;?>
                            
                            <!--Image overlay starts-->
                            <div class="image-overlay"><?php   
                              if(function_exists('likeThis')):
                                echo '<p class="like"><i class="fa fa-heart"> </i>';
									printLikes($post->ID);
								echo '</p>';
                              endif;?>
                               <p class="<?php echo esc_attr($hide_comment_meta); ?>">
                                  <i class="fa fa-comments"></i>
                                  <?php comments_popup_link( 'No comments', '1 Comment', '% Comments', '', '0'); ?>
                               </p>
                               <?php if( has_category() ) { ?>
                               <p class="category <?php echo esc_attr($hide_category_meta); ?>"> 
                                   <i class="fa fa-sitemap"></i>
                                   <?php the_category(' , '); ?>
                               </p>
                               <?php } ?>
                               
                               <?php if(has_tag()){ ?>
                               <p class="tags <?php echo esc_attr($hide_tag_meta); ?>"> 
                                   <i class="fa fa-tags"></i>
                                   <?php the_tags('', ', ', ''); ?>
                               </p>
                               <?php } ?>
                            </div><!--Image overlay ends-->
                            
                        </div><!--Entry thumb ends--><?php   
					  //} ?>
                                
                        <?php /*<div class="entry-thumb">
                        	<a href="<?php the_permalink(); ?>" title="<?php printf(esc_attr__('%s','mountcool'),the_title_attribute('echo=0')); ?>"><?php
								if( has_post_thumbnail() ):
									$attachment_id = get_post_thumbnail_id(get_the_id());
									$img_attributes = wp_get_attachment_image_src($attachment_id, "full");
									echo "<img src='".$img_attributes[0]."' alt='".get_the_title()."' />";
								elseif($pholder != 'on'):?>
									<img src="http://placehold.it/423x178&amp;text=Image" alt="<?php printf(esc_attr__('%s','mountcool'),the_title_attribute('echo=0')); ?>" title="<?php printf(esc_attr__('%s','mountcool'),the_title_attribute('echo=0')); ?>" />
							<?php endif;?></a>
                        </div>*/ ?>
                                    
                        <div class="post-detail">
                                
                          <div class="entry-title">
                              <h4><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a> </h4>
                          </div>
                          <div class="entry-metadata">
                               <p class="author <?php echo esc_attr($hide_author_meta); ?>"> 
                                   <?php esc_html_e('By:','mountcool'); ?>
                                   <a href="<?php echo get_author_posts_url(get_the_author_meta('ID')); ?>" title="<?php esc_html_e('View all posts by ', 'mountcool').get_the_author(); ?>"><?php echo get_the_author(); ?></a>
                                   <?php if($hide_date_meta != " hidden "): echo '- '.get_the_date('M d, Y'); endif;?>
                               </p>
                          </div>
                          
                          <div class="entry-body">
							  <?php if( array_key_exists('blog-post-excerpt',$tpl_default_settings) ): ?>
                                  <?php echo dttheme_excerpt($tpl_default_settings['blog-post-excerpt-length']); ?>
                               <?php else: ?>
                                  <?php echo get_the_excerpt(); ?>
                               <?php endif;?>
                          </div>
                        
                        </div><!--Post detail ends--><?php
				    }else{ ?>
						<div class="post-detail">
                        
                            <div class="entry-title">
                                <h4><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a> </h4>
                            </div>
                            <div class="entry-metadata">
                                 <p class="author <?php echo esc_attr($hide_author_meta); ?>"> 
                                     <?php esc_html_e('By:','mountcool'); ?>
                                     <a href="<?php echo get_author_posts_url(get_the_author_meta('ID')); ?>" title="<?php esc_html_e('View all posts by ', 'mountcool').get_the_author(); ?>"><?php echo get_the_author(); ?></a>
                                     <?php if($hide_date_meta != " hidden "): echo '- '.get_the_date('M d, Y'); endif;?>
                                 </p>
                            </div>

                            <div class="entry-body">
                                <?php if( array_key_exists('blog-post-excerpt',$tpl_default_settings) ): ?>
                                    <?php echo dttheme_excerpt($tpl_default_settings['blog-post-excerpt-length']); ?>
                                 <?php else: ?>
                                    <?php echo get_the_excerpt(); ?>
                                 <?php endif;?>
                            </div>
                        
						</div> <!--Post detail ends--><?php 
					  //if( !empty($format) ) { ?>
                        <div class="entry-thumb">
                        <?php if( $format === "image" ): ?>
                                <a href="<?php the_permalink(); ?>" title="<?php printf(esc_attr__('%s','mountcool'),the_title_attribute('echo=0')); ?>">
                                <?php if( has_post_thumbnail() ):
										$attachment_id = get_post_thumbnail_id(get_the_id());
										$img_attributes = wp_get_attachment_image_src($attachment_id, "full");
										echo "<img src='".$img_attributes[0]."' alt='".get_the_title()."' />";
                                      elseif($pholder != 'on'):?>
                                        <img src="http://placehold.it/423x178&amp;text=Image" alt="<?php printf(esc_attr__('%s','mountcool'),the_title_attribute('echo=0')); ?>" title="<?php printf(esc_attr__('%s','mountcool'),the_title_attribute('echo=0')); ?>" />
                                <?php endif;?>
                                </a>
                        <?php elseif( $format === "gallery" && array_key_exists("items", $post_meta)):
                                    echo "<ul class='entry-gallery-post-slider'>";
                                    foreach ( $post_meta['items'] as $item ) { 
										$attachment_id = dt_get_attachment_id_from_url($item);
										$img_attributes = wp_get_attachment_image_src($attachment_id, "full");
										echo "<li><img src='".$img_attributes[0]."' alt='".get_the_title()."' /></li>";
									}
                                    echo "</ul>";
                              elseif( $format === "video" && ( array_key_exists('oembed-url', $post_meta) || array_key_exists('self-hosted-url', $post_meta) ) ):
                                    if( array_key_exists('oembed-url', $post_meta) && ! isset( $_COOKIE['dtPrivacyVideoEmbedsDisabled'] ) ):
                                        echo "<div class='dt-video-wrap'>".wp_oembed_get($post_meta['oembed-url']).'</div>';
                                    elseif( array_key_exists('self-hosted-url', $post_meta) ):
                                        echo "<div class='dt-video-wrap'>".apply_filters( 'the_content', $post_meta['self-hosted-url'] ).'</div>';
                                    endif;
                              elseif( $format === "audio" && (array_key_exists('oembed-url', $post_meta) || array_key_exists('self-hosted-url', $post_meta)) ):
                                    if( array_key_exists('oembed-url', $post_meta) ):
                                        echo wp_oembed_get($post_meta['oembed-url']);
                                    elseif( array_key_exists('self-hosted-url', $post_meta) ):
                                        echo apply_filters( 'the_content', $post_meta['self-hosted-url'] );
                                    endif;
                              else: ?>
                                <a href="<?php the_permalink(); ?>" title="<?php printf(esc_attr__('%s','mountcool'),the_title_attribute('echo=0')); ?>"><?php
                                    if( has_post_thumbnail() ):
										$attachment_id = get_post_thumbnail_id(get_the_id());
										$img_attributes = wp_get_attachment_image_src($attachment_id, "full");
										echo "<img src='".$img_attributes[0]."' alt='".get_the_title()."' />";
                                    elseif($pholder != 'on'):?>
                                        <img src="http://placehold.it/423x178&amp;text=Image" alt="<?php printf(esc_attr__('%s','mountcool'),the_title_attribute('echo=0')); ?>" title="<?php printf(esc_attr__('%s','mountcool'),the_title_attribute('echo=0')); ?>" />
                                <?php endif;?></a>
                        <?php endif; ?>
                        <?php if(is_sticky()): ?>
                        		<div class="featured-post"> <div><span class="fa fa-trophy"> </span> <span class="text"> <?php esc_html_e('Featured','mountcool'); ?> </span></div></div>
                    	<?php endif;?>
                        
                          <!--Image overlay starts-->
                          <div class="image-overlay"><?php   
                              if(function_exists('likeThis')):
                                echo '<p class="like"><i class="fa fa-heart"> </i>';
									printLikes($post->ID);
								echo '</p>';
                              endif;?>
                             <p class="<?php echo esc_attr($hide_comment_meta); ?>">
                                <i class="fa fa-comments"></i>
                                <?php comments_popup_link( 'No comments', '1 Comment', '% Comments', '', '0'); ?>
                             </p>
                             <?php if( has_category() ) { ?>
                             <p class="category <?php echo esc_attr($hide_category_meta); ?>"> 
                                 <i class="fa fa-sitemap"></i>
                                 <?php the_category(' , '); ?>
                             </p>
                             <?php } ?>
                             
                             <?php if(has_tag()){ ?>
                             <p class="tags <?php echo esc_attr($hide_tag_meta); ?>"> 
                                 <i class="fa fa-tags"></i>
                                 <?php the_tags('', ', ', ''); ?>
                             </p>
                             <?php } ?>
                          </div><!--Image overlay ends-->
                        
						</div><!--Entry Thumb ends-->
						<?php
					 // }
				    }
				} ?>
                       
			</article><!-- #post-<?php the_ID(); ?> Ends -->
		</div>

	<?php endwhile;
	else:?>
            <p><?php esc_html_e('Apologies, but no results were found for the requested archive.', 'mountcool'); ?></p><?php
endif;

wp_reset_postdata();

echo '</div>'; ?><!-- .tpl-blog-holder  -->

    <!-- **Pagination Starts** -->
  <?php if( !is_page_template('tpl-onepage.php')){
			if($the_query->max_num_pages > 1): ?>
                <div class="pagination-wrapper">
                    <div class="pagination">  
                    <?php $tot_num_pages=$the_query->max_num_pages;
                             $big = 999999999; // need an unlikely integer
							 $pages = paginate_links(array(
                                                'base' => str_replace( $big, '%#%', esc_url( get_pagenum_link( $big ) ) ),  
												'current' => max( 1, get_query_var('paged') ),
                                                'total' => $tot_num_pages,
												'type'  => 'array',
                                                ));
						 
						 	if( is_array( $pages ) ) {
								$paged = ( get_query_var('paged') == 0 ) ? 1 : get_query_var('paged');
								echo '<ul>';
								foreach ( $pages as $page ) {
										echo "<li>$page</li>";
								}
							   echo '</ul>';
							} ?>
                    </div>
                </div>
  <?php 	endif; 
		  }?><!-- **Pagination Ends** -->

<!--- End of loop to show blog posts -->

<?php if(is_page_template('tpl-onepage.php')): 
			echo '<div class="dt-sc-hr-invisible-small"></div>';
			echo '</div> '; 
			echo '<div class="dt-sc-hr-invisible-small"></div>';
	  endif; ?>