<?php
/**
 * show_fblike()
 * Objective:
 * Outputs the facebook like button in post and page.
 */
if (!function_exists('show_fblike')) {
	function show_fblike($arg = 'post') {
		$fb = dttheme_option ( 'integration', "{$arg}-fb_like" );
		$output = "";
		if (! empty ( $fb )) :
			$layout = dttheme_option ( 'integration', "{$arg}-fb_like-layout" );
			$scheme = dttheme_option ( 'integration', "{$arg}-fb_like-color-scheme" );
			$output .= do_shortcode ( "[fblike layout='{$layout}' colorscheme='{$scheme}' /]" );
			echo !empty( $output ) ? $output : '';
		endif;
	}
}
// # --- **** show_googleplus() *** --- ###
/**
 * show_googleplus()
 * Objective:
 * Outputs the facebook like button in post and page.
 */
if (!function_exists('show_googlepluse')) {
	function show_googleplus($arg = 'post') {
		$googleplus = dttheme_option ( 'integration', "{$arg}-googleplus" );
		$output = "";
		if (! empty ( $googleplus )) :
			$layout = dttheme_option ( 'integration', "{$arg}-googleplus-layout" );
			$lang = dttheme_option ( 'integration', "{$arg}-googleplus-lang" );
			$output .= do_shortcode ( "[googleplusone size='{$layout}' lang='{$lang}' /]" );
			echo !empty( $output ) ? $output : '';
		endif;
	}
}
// # --- **** show_googleplus() *** --- ###

// # --- **** show_twitter() *** --- ###
/**
 * show_twitter()
 * Objective:
 * Outputs the Twitter like button in post and page.
 */
if (!function_exists('show_twitter')) {
	function show_twitter($arg = 'post') {
		$twitter = dttheme_option ( 'integration', "{$arg}-twitter" );
		$output = "";
		if (! empty ( $twitter )) :
			$layout = dttheme_option ( 'integration', "{$arg}-twitter-layout" );
			$lang = dttheme_option ( 'integration', "{$arg}-twitter-lang" );
			$username = dttheme_option ( 'integration', "{$arg}-twitter-username" );
			$output .= do_shortcode ( "[twitter layout='{$layout}' lang='{$lang}' username='{$username}' /]" );
			echo !empty( $output ) ? $output : '';
		endif;
	}
}
// # --- **** show_twitter() *** --- ###

// # --- **** show_stumbleupon() *** --- ###
/**
 * show_stumbleupon()
 * Objective:
 * Outputs the Stumbleupon like button in post and page.
 */
if (!function_exists(' show_stumbleupon')) {
	function show_stumbleupon($arg = 'post') {
		$stumbleupon = dttheme_option ( 'integration', "{$arg}-stumbleupon" );
		$output = "";
		if (! empty ( $stumbleupon )) :
			$layout = dttheme_option ( 'integration', "{$arg}-stumbleupon-layout" );
			$output .= do_shortcode ( "[stumbleupon layout='{$layout}' /]" );
			echo !empty( $output ) ? $output : '';
		endif;
	}
}
// # --- **** show_stumbleupon() *** --- ###

// # --- **** show_linkedin() *** --- ###
/**
 * show_linkedin()
 * Objective:
 * Outputs the LinkedIn like button in post and page.
 */
if (!function_exists('show_linkedin')) {
	function show_linkedin($arg = 'post') {
		$linkedin = dttheme_option ( 'integration', "{$arg}-linkedin" );
		$output = "";
		if (! empty ( $linkedin )) :
			$layout = dttheme_option ( 'integration', "{$arg}-linkedin-layout" );
			$output .= do_shortcode ( "[linkedin layout='{$layout}' /]" );
			echo !empty( $output ) ? $output : '';
		endif;
	}
}
// # --- **** show_linkedin() *** --- ###

// # --- **** show_delicious() *** --- ###
/**
 * show_delicious()
 * Objective:
 * Outputs the Delicious like button in post and page.
 */
if (!function_exists('show_delicious')) {
	function show_delicious($arg = 'post') {
		$delicious = dttheme_option ( 'integration', "{$arg}-delicious" );
		$output = "";
		if (! empty ( $delicious )) :
			$text = dttheme_option ( 'integration', "{$arg}-delicious-text" );
			$output .= do_shortcode ( "[delicious text='{$text}' /]" );
			echo !empty( $output ) ? $output : '';
		endif;
	}
}
// # --- **** show_delicious() *** --- ###

// # --- **** show_pintrest() *** --- ###
/**
 * show_pintrest()
 * Objective:
 * Outputs the Pintrest like button in post and page.
 */
if (!function_exists('show_pintrest')) {
	function show_pintrest($arg = 'post') {
		$delicious = dttheme_option ( 'integration', "{$arg}-pintrest" );
		$output = "";
		if (! empty ( $delicious )) :
			$layout = dttheme_option ( 'integration', "{$arg}-pintrest-layout" );
			$output .= do_shortcode ( "[pintrest layout='{$layout}' prompt='true' /]" );
			echo !empty( $output ) ? $output : '';
		endif;
	}
}
// # --- **** show_pintrest() *** --- ###

// # --- **** show_digg() *** --- ###
/**
 * show_digg()
 * Objective:
 * Outputs the Digg like button in post and page.
 */
if (!function_exists('show_digg')) {
	function show_digg($arg = 'post') {
		$digg = dttheme_option ( 'integration', "{$arg}-digg" );
		$output = "";
		if (! empty ( $digg )) :
			$layout = dttheme_option ( 'integration', "{$arg}-digg-layout" );
			$output .= do_shortcode ( "[digg layout='{$layout}' /]" );
			echo !empty( $output ) ? $output : '';
		endif;
	}
}
// # --- **** show_digg() *** --- ###

/**
 * dttheme_tweetbox_filter()
 * Objective:
 * Returns filtered tweets.
 * @args:
 * 1.text :	Tweets text to filter
 */
if (!function_exists('dttheme_tweetbox_filter')) {
	function dttheme_tweetbox_filter($text) {
		// Props to Allen Shaw & webmancers.com & Michael Voigt
		$text = preg_replace ( '/\b([a-zA-Z]+:\/\/[\w_.\-]+\.[a-zA-Z]{2,6}[\/\w\-~.?=&%#+$*!]*)\b/i', "<a href=\"$1\" class=\"twitter-link\">$1</a>", $text );
		$text = preg_replace ( '/\b(?<!:\/\/)(www\.[\w_.\-]+\.[a-zA-Z]{2,6}[\/\w\-~.?=&%#+$*!]*)\b/i', "<a href=\"http://$1\" class=\"twitter-link\">$1</a>", $text );
		$text = preg_replace ( "/\b([a-zA-Z][a-zA-Z0-9\_\.\-]*[a-zA-Z]*\@[a-zA-Z][a-zA-Z0-9\_\.\-]*[a-zA-Z]{2,6})\b/i", "<a href=\"mailto://$1\" class=\"twitter-link\">$1</a>", $text );
		$text = preg_replace ( "/#(\w+)/", "<a class=\"twitter-link\" href=\"http://search.twitter.com/search?q=\\1\">#\\1</a>", $text );
		$text = preg_replace ( "/@(\w+)/", "<a class=\"twitter-link\" href=\"http://twitter.com/\\1\">@\\1</a>", $text );
		return $text;
	}
}
// # --- **** dttheme_tweetbox_filter() *** --- ###

/**
 * dttheme_footer_widgetarea()
 * Objective:
 * 1.
 * To Generate Footer Widget Areas
 * Args: $count = No of widget areas
 */
if (!function_exists('dttheme_footer_widgetarea')) {
	function dttheme_footer_widgetarea($count) {
		$name = __ ( "Footer Column", 'mountcool' );
		if ($count <= 4) :
			for($i = 1; $i <= $count; $i ++) :
				register_sidebar ( array (
						'name' => $name . "-{$i}",
						'id' => "footer-sidebar-{$i}",
						'description' => esc_html__("Appears in the footer section of the site.","mountcool"),
						'before_widget' => '<aside id="%1$s" class="widget %2$s">',
						'after_widget' => '</aside>',
						'before_title' => '<h3 class="widgettitle">',
						'after_title' => '</h3>' 
				) );
			endfor
			;
		 elseif ($count == 5 || $count == 6) :
			$a = array (
					"1-4",
					"1-4",
					"1-2" 
			);
			$a = ($count == 5) ? $a : array_reverse ( $a );
			foreach ( $a as $k => $v ) :
				register_sidebar ( array (
						'name' => $name . "-{$v}",
						'id' => "footer-sidebar-{$k}-{$v}",
						'before_widget' => '<aside id="%1$s" class="widget %2$s">',
						'after_widget' => '</aside>',
						'before_title' => '<h3 class="widgettitle">',
						'after_title' => '</h3>' 
				) );
			endforeach
			;
		 elseif ($count == 7 || $count == 8) :
			$a = array (
					"1-4",
					"3-4" 
			);
			$a = ($count == 7) ? $a : array_reverse ( $a );
			foreach ( $a as $k => $v ) :
				register_sidebar ( array (
						'name' => $name . "-{$v}",
						'id' => "footer-sidebar-{$k}-{$v}",
						'before_widget' => '<aside id="%1$s" class="widget %2$s">',
						'after_widget' => '</aside>',
						'before_title' => '<h3 class="widgettitle">',
						'after_title' => '</h3>' 
				) );
			endforeach
			;
		 elseif ($count == 9 || $count == 10) :
			$a = array (
					"1-3",
					"2-3" 
			);
			$a = ($count == 9) ? $a : array_reverse ( $a );
			foreach ( $a as $k => $v ) :
				register_sidebar ( array (
						'name' => $name . "-{$v}",
						'id' => "footer-sidebar-{$k}-{$v}",
						'before_widget' => '<aside id="%1$s" class="widget %2$s">',
						'after_widget' => '</aside>',
						'before_title' => '<h3 class="widgettitle">',
						'after_title' => '</h3>' 
				) );
			endforeach
			;
		endif;
	}
}
// # --- **** dttheme_footer_widgetarea() *** --- ###

// # --- **** dttheme_show_footer_widgetarea() *** --- ###
/**
 * dttheme_show_footer_widgetarea()
 * Objective:
 * Outputs the Footer section widget area.
 */
if (!function_exists('dttheme_show_footer_widgetarea')) {
	function dttheme_show_footer_widgetarea($count) {
		$classes = array (
				"1" => "dt-sc-full-width",
				"dt-sc-one-half",
				"dt-sc-one-third",
				"dt-sc-one-fourth",
				"1-2" => "dt-sc-one-half",
				"1-3" => "dt-sc-one-third",
				"1-4" => "dt-sc-one-fourth",
				"3-4" => "dt-sc-three-fourth",
				"2-3" => "dt-sc-two-third" 
		);
		if ($count <= 4) :
			for($i = 1; $i <= $count; $i ++) :
				$class = $classes [$count];
				$first = ($i == 1) ? "first" : "";
				echo "<div class='column {$class} {$first}'>";
				if (function_exists ( 'dynamic_sidebar' ) && dynamic_sidebar ( "footer-sidebar-{$i}" )) : endif;
				echo "</div>";
			endfor;
		 elseif ($count == 5 || $count == 6) :
			$a = array (
					"1-4",
					"1-4",
					"1-2" 
			);
			$a = ($count == 5) ? $a : array_reverse ( $a );
			foreach ( $a as $k => $v ) :
				$class = $classes [$v];
				#$last = (end ( $a ) == $v) ? "last" : "";
				#echo "<div class='column {$class} {$last}'>";

				$first = ($k == 0 ) ? "first" : "";
				echo "<div class='column {$class} {$first}'>";
				
				if (function_exists ( 'dynamic_sidebar' ) && dynamic_sidebar ( "footer-sidebar-{$k}-{$v}" )) : endif;
				echo "</div>";
			endforeach;
		 

		elseif ($count == 7 || $count == 8) :
			$a = array (
					"1-4",
					"3-4" 
			);
			
			$a = ($count == 7) ? $a : array_reverse ( $a );
			foreach ( $a as $k => $v ) :
				$class = $classes [$v];
				#$last = (end ( $a ) == $v) ? "last" : "";
				#echo "<div class='column {$class} {$last}'>";
				$first = ($k == 0 ) ? "first" : "";
				echo "<div class='column {$class} {$first}'>";
				if (function_exists ( 'dynamic_sidebar' ) && dynamic_sidebar ( "footer-sidebar-{$k}-{$v}" )) :endif;
				echo "</div>";
			endforeach;
			
		 elseif ($count == 9 || $count == 10) :
			$a = array (
					"1-3",
					"2-3" 
			);
			$a = ($count == 9) ? $a : array_reverse ( $a );
			foreach ( $a as $k => $v ) :
				$class = $classes [$v];
				#$last = (end ( $a ) == $v) ? "last" : "";
				#echo "<div class='column {$class} {$last}'>";
				$first = ($k == 0 ) ? "first" : "";
				echo "<div class='column {$class} {$first}'>";
				if (function_exists ( 'dynamic_sidebar' ) && dynamic_sidebar ( "footer-sidebar-{$k}-{$v}" )) :endif;
				echo "</div>";
			endforeach;
		endif;
	}
}
// # --- **** dttheme_show_footer_widgetarea() *** --- ###


/**
 * dttheme_social_bookmarks()
 * Objective:
 * To show social shares
 */
if (!function_exists('dttheme_social_bookmarks')) {
	function dttheme_social_bookmarks($arg = 'sb-post') {
		global $post;
		
		$title = $post->post_title;
		$url = get_permalink ( $post->ID );
		$excerpt = $post->post_excerpt;
		$data = "";
		
		$path = IAMD_BASE_URL . "images/sociable/share";
		
		$fb = dttheme_option ( 'integration', "{$arg}-fb_like" );
		$data .= ! empty ( $fb ) ? "<li><a title='facebook' class='dt-sc-tooltip-top' href='http://www.facebook.com/sharer.php?u=$url&amp;t=" .urlencode($title)."'><i class='fa fa-facebook'></i></a></li>" : "";
		
		$delicious = dttheme_option ( 'integration', "{$arg}-delicious" );
		$data .= ! empty ( $delicious ) ? '<li><a title="delicious" class="dt-sc-tooltip-top" href="http://del.icio.us/post?url=$url&amp;title='.urlencode($title).'"><i class="fa fa-delicious"></i></a></li>' : '';
		
		$digg = dttheme_option ( 'integration', "{$arg}-digg" );
		$data .= ! empty ( $digg ) ? '<li><a title="digg" class="dt-sc-tooltip-top" href="http://digg.com/submit?phase=2&amp;url=$url&amp;title='.urlencode($title).'"><i class="fa fa-digg"></i></a></li>' : '';
		
		$stumbleupon = dttheme_option ( 'integration', "{$arg}-stumbleupon" );
		$data .= ! empty ( $stumbleupon ) ? '<li><a title="stumbleupon" class="dt-sc-tooltip-top" href="http://www.stumbleupon.com/submit?url=$url&amp;title='.urlencode($title).'"><i class="fa fa-stumbleupon"></i></a></li>' : '';
		
		$twitter = dttheme_option ( 'integration', "{$arg}-twitter" );
		$t_url = ! empty ( $twitter ) ? $url : '';
		$data .= ! empty ( $twitter ) ? '<li><a title="twitter" class="dt-sc-tooltip-top" href="http://twitter.com/home/?status='.urlencode($title).':'.$t_url.'"><i class="fa fa-twitter"></i></a></li>' : '';
		
		$googleplus = dttheme_option ( 'integration', "{$arg}-googleplus" );
		$data .= ! empty ( $googleplus ) ? '<li><a title="googleplus" class="dt-sc-tooltip-top" href="https://plus.google.com/share?url='.$url.'"><i class="fa fa-google-plus"></i></a></li>' : '';
		
		$linkedin = dttheme_option ( 'integration', "{$arg}-linkedin" );
		$data .= ! empty ( $linkedin ) ? '<li><a title="linkedin" class="dt-sc-tooltip-top" href="http://www.linkedin.com/shareArticle?mini=true&amp;title='.urlencode($title).'"><i class="fa fa-linkedin"></i></a></li>' : '';
		
		$pintrest = dttheme_option ( 'integration', "{$arg}-pintrest" );
		$media = wp_get_attachment_url ( get_post_thumbnail_id ( $post->ID ) );
		$data .= ! empty ( $pintrest ) ? '<li><a title="pintrest" class="dt-sc-tooltip-top" href="http://pinterest.com/pin/create/button/?url='.urlencode($url).'&amp;media='.$media.'"><i class="fa fa-pinterest"></i></a></li>' : '';
		
		$data = ! empty ( $data ) ? "<ul>{$data}</ul>" : "";
		echo !empty( $data ) ? $data : '';
	}
}
// # --- **** dttheme_social_bookmarks() *** --- ###

// # --- **** is_mytheme_moible_view() *** --- ###
/**
 * dttheme_is_mobile_view()
 * Objective:
 * If you eanble responsive mode in theme , this will add view port at the head
 */
if (!function_exists('dttheme_is_mobile_view')) {
	function dttheme_is_mobile_view() {
		$dttheme_options = get_option ( IAMD_THEME_SETTINGS );
		$dttheme_mobile = array_key_exists("mobile",$dttheme_options ) ?  $dttheme_options ['mobile'] : array();
		if (isset ( $dttheme_mobile ['is-theme-responsive'] ))
			echo "<meta name='viewport' content='width=device-width, initial-scale=1, maximum-scale=1' />\r";
	}
}
// # --- **** dttheme_is_mobile_view() *** --- ###

// o load basic css : default,shortcode & skin css
if (!function_exists('dttheme_load_basic_css')) {
	function dttheme_load_basic_css() {
		$dttheme_options = get_option ( IAMD_THEME_SETTINGS );
		$dttheme_general = $dttheme_options ['general'];
		
		if (isset ( $dttheme_general ['enable-favicon'] )) :
			if ( ! function_exists( 'has_site_icon' ) || ! has_site_icon() ) :
				$url = ! empty ( $dttheme_general ['favicon-url'] ) ? $dttheme_general ['favicon-url'] : IAMD_BASE_URL . "images/favicon.png";
				echo "<link href='$url' rel='shortcut icon' type='image/x-icon' />\n";
		
				$phone_url = ! empty ( $dttheme_general ['apple-favicon'] ) ? $dttheme_general ['apple-favicon'] : IAMD_BASE_URL . "images/apple-touch-icon.png";
				echo "<link href='$phone_url' rel='apple-touch-icon-precomposed'/>\n";
		
				$phone_retina_url = ! empty ( $dttheme_general ['apple-retina-favicon'] ) ? $dttheme_general ['apple-retina-favicon'] : IAMD_BASE_URL . "images/apple-touch-icon-114x114.png";
				echo "<link href='$phone_retina_url' sizes='114x114' rel='apple-touch-icon-precomposed'/>\n";
		
				$ipad_url = ! empty ( $dttheme_general ['apple-ipad-favicon'] ) ? $dttheme_general ['apple-ipad-favicon'] : IAMD_BASE_URL . "images/apple-touch-icon-72x72.png";
				echo "<link href='$ipad_url' sizes='72x72' rel='apple-touch-icon-precomposed'/>\n";
		
				$ipad_retina_url = ! empty ( $dttheme_general ['apple-ipad-retina-favicon'] ) ? $dttheme_general ['apple-ipad-retina-favicon'] : IAMD_BASE_URL . "images/apple-touch-icon-144x144.png";
				echo "<link href='$ipad_retina_url' sizes='114x114' rel='apple-touch-icon-precomposed'/>\n";
			endif;
		endif;
		
		wp_enqueue_style ( 'reset', IAMD_BASE_URL . 'css/reset.css' );
		wp_enqueue_style ( 'meanmenu', IAMD_BASE_URL . 'css/meanmenu.css' );
		wp_enqueue_style ( 'pushy', IAMD_BASE_URL . 'css/pushy.css' );
		
		wp_enqueue_style ( 'mountcool-default', get_stylesheet_uri () );
		
		wp_enqueue_style ( 'animations', IAMD_BASE_URL . 'css/animations.css', array (), '' );
		wp_enqueue_style ( 'custom-font-awesome', IAMD_BASE_URL . 'css/font-awesome.min.css' );
		wp_enqueue_style ( 'custom-stroke-gap-icons', IAMD_BASE_URL . 'css/stroke-gap-icons.css' );
		wp_enqueue_style ( 'isotope-css', IAMD_BASE_URL . 'css/isotope.css' );
		
		global $post;
		$postid = ( isset( $post->ID ) ? $post->ID : NULL );
		$tpl_header_styles = get_post_meta( $postid, '_tpl_default_settings', TRUE );
		$tpl_header_styles = isset( $tpl_header_styles['header-styles'] ) ? $tpl_header_styles['header-styles']  : '';

		if( $tpl_header_styles == 'type8')
			wp_enqueue_style ( 'mountcool-slidebars', IAMD_BASE_URL . 'css/slidebars.css' );
		
		wp_enqueue_style ( 'mountcool-skin', IAMD_BASE_URL . "skins/" . $dttheme_options['appearance']['skin'] . "/style.css" );

		#WooCommerce...
		if(function_exists( 'is_woocommerce' )){
		   wp_enqueue_style('mountcool-woocommerce', IAMD_BASE_URL .'/framework/woocommerce/style.css');
		}
		
		if( ! isset( $_COOKIE['dtPrivacyGoogleWebfontsDisabled'] ) ):
			wp_enqueue_style( 'font-opensans', '//fonts.googleapis.com/css?family=Open+Sans:400,300,600,700,300italic' );
		endif;
		
		if ( is_rtl() ) {
			wp_enqueue_style( 'mountcool-rtl', IAMD_BASE_URL."rtl.css" );
		}

		// cookie-consent -----------------------------------------------------------------
		$cookiebar = dttheme_option('privacy', 'enable-cookie-msgbar');
		if( isset($cookiebar) ) {
			wp_enqueue_style( 'mountcool-cookieconsent', 	get_theme_file_uri('/css/cookieconsent.css'), false, IAMD_THEME_VERSION, 'all' );
		}
		wp_enqueue_style( 'magnific-popup',  get_theme_file_uri('/framework/js/public/magnific/magnific-popup.css'), false, IAMD_THEME_VERSION, 'all' );

		// gutenberg css ---------------------------------------------------------------------
		wp_enqueue_style( 'mountcool-gutenberg', IAMD_BASE_URL.'/css/gutenberg.css', false, IAMD_THEME_VERSION, 'all' );
	}
}
add_action( 'wp_enqueue_scripts', 'dttheme_load_basic_css', '100' );

// # --- **** dttheme_set_layout *** --- ###
if (!function_exists('dttheme_set_layout')) {
	function dttheme_set_layout() {
		if (dttheme_option ( "mobile", "is-theme-responsive" )) {
			wp_enqueue_style ( 'mountcool-responsive', IAMD_BASE_URL . "responsive.css" );
		}
		
		$dttheme_options = get_option ( IAMD_THEME_SETTINGS );
		$dttheme_mobile = array_key_exists("mobile",$dttheme_options ) ?  $dttheme_options ['mobile'] : array();
		
		if (isset ( $dttheme_mobile ['is-slider-disabled'] )) :
			$out = '@media only screen and (max-width:320px), (max-width: 479px), (min-width: 480px) and (max-width: 767px), (min-width: 768px) and (max-width: 959px),
			 (max-width:1200px) { div#slider { display:none !important; } 	}';
			wp_add_inline_style( 'mountcool-gutenberg', $out );
		endif;
	}
}
add_action( 'wp_enqueue_scripts', 'dttheme_set_layout', '100' );
// # --- **** dttheme_set_layout *** --- ###
if (!function_exists('hex2rgb')) {
	function hex2rgb($hex) {
		$hex = str_replace ( "#", "", $hex );
		
		if (strlen ( $hex ) == 3) :
			$r = hexdec ( substr ( $hex, 0, 1 ) . substr ( $hex, 0, 1 ) );
			$g = hexdec ( substr ( $hex, 1, 1 ) . substr ( $hex, 1, 1 ) );
			$b = hexdec ( substr ( $hex, 2, 1 ) . substr ( $hex, 2, 1 ) );
		 else :
			$r = hexdec ( substr ( $hex, 0, 2 ) );
			$g = hexdec ( substr ( $hex, 2, 2 ) );
			$b = hexdec ( substr ( $hex, 4, 2 ) );
		endif;
		$rgb = array ( $r,$g,$b);
		return $rgb;
	}
}
// ##########################################
// PAGINATION
// ##########################################
if (!function_exists('dttheme_pagination')) {
	function dttheme_pagination($class='',$pages = '', $wp_query) {
		$out = NULL;
		$paged = $wp_query->query_vars['paged'];
		if(empty($paged))$paged = 1;
		$prev = $paged - 1;
		$next = $paged + 1;
		$range = 10;
		$showitems = ($range * 2) + 1;
		if($pages == '') {
			$pages = $wp_query->max_num_pages;
			if(!$pages)	{
				$pages = 1;
			}
		}
		
		if($paged > 1) $out .= "<div class='prev-post'><a href='".get_pagenum_link($paged - 1)."'><span class='fa fa-angle-double-left'></span>&nbsp;".esc_html__('Prev', 'mountcool')."</a></div>";
		$out .= '<ul>';
			if(1 != $pages){
				for ($i=1; $i <= $pages; $i++){
					if (1 != $pages &&( !($i >= $paged+$range+1 || $i <= $paged-$range-1) || $pages <= $showitems )){
						if( $class == "ajax-load"):
							$c =  ($paged == $i) ? "active-page" : "";
							$out .= "<li><a href='".get_pagenum_link($i)."' class='".$c."'>".$i."</a></li>";
						else:
							$out .=  ($paged == $i)? "<li class='active-page'>".$i."</li>":"<li><a href='".get_pagenum_link($i)."'>".$i."</a></li>";
						endif;
					}
				}
			}
		$out .= '</ul>';
		if ($paged < $pages) $out .= "<div class='next-post'><a href='".get_pagenum_link($paged + 1)."'>".esc_html__('Next', 'mountcool')."&nbsp;<span class='fa fa-angle-double-right'></span></a></div>";

		return $out;
	}
}

if (!function_exists('dt_add_custom_types')) {
	function dt_add_custom_types( $query ) {
	    if( is_tag() && empty( $query->query_vars['suppress_filters'] ) ) {
	        $post_types = get_post_types();
	        $query->set( 'post_type', $post_types );
	        return $query;
	    }
	}
}
add_filter( 'pre_get_posts', 'dt_add_custom_types' );

if (!function_exists('slt_wmode_opaque')) {
	function slt_wmode_opaque( $html, $url, $args ) {
		
		if( (strrpos($url,"youtube") !== false)  || (strrpos($url,"youtu.") !== false) ) {
			
			$patterns[] = '/src="(.*?)"/';
			$replacements[] = 'src="${1}&wmode=opaque"';
			
			$html =  preg_replace($patterns, $replacements, $html);
			$html = str_replace('</iframe>)', '</iframe>', $html);
			
		}elseif( strrpos($url, "soundcloud.com") !== false ) {
			
			$patterns[] = '/height="(.*?)"/';
			$replacements[] = 'height="166"';
			$html =  preg_replace($patterns, $replacements, $html);
			
			$patterns[] = '/width="(.*?)"/';
			$replacements[] = 'width="100%"';
			$html =  preg_replace($patterns, $replacements, $html);
			
			$patterns[] = '/visual=true&/';
			$replacements[] = '';
			$html =  preg_replace($patterns, $replacements, $html);
		}	

	 	return $html;
	}
}
add_filter( 'oembed_result', 'slt_wmode_opaque', 10, 3 );


#Sidebars
if (!function_exists('dttheme_show_sidebar')) {
	function dttheme_show_sidebar($type, $id, $sidebar = 'left'){

		if( $type === 'post'){
			$settings = get_post_meta($id,'_dt_post_settings',TRUE);
		}elseif( $type === 'page' ){
			$settings = get_post_meta($id,'_tpl_default_settings',TRUE);
		}

		$settings = is_array($settings) ? $settings  : array();

		if ( !array_key_exists('disable-everywhere-sidebar-'.$sidebar,$settings) ):
			if(is_active_sidebar('display-everywhere-sidebar-'.$sidebar) && dynamic_sidebar(('display-everywhere-sidebar-'.$sidebar)) ): endif;
		endif;	
		
		if( array_key_exists('widget-area-'.$sidebar, $settings)):
			foreach ($settings['widget-area-'.$sidebar] as $widget ) {
				$id = mb_convert_case($widget, MB_CASE_LOWER, "UTF-8");
				if(is_active_sidebar($id) && dynamic_sidebar($id) ): endif;
			}
		endif;	
	}
}

if (!function_exists('dttheme_onepage_sections')) {
	function dttheme_onepage_sections(){
		$sections = array();
		$locations = get_nav_menu_locations();
		if(isset($locations['header_menu'])):
			$menu = wp_get_nav_menu_object( $locations['header_menu'] );
			$items  = wp_get_nav_menu_items($menu->term_id);
			foreach((array) $items as $key => $menu_items){
				$classes = $menu_items->classes;
				if( $menu_items->menu_item_parent == 0 ) {
					if(('page' == $menu_items->object) && !in_array('external',$classes) ){
						$sections[$menu_items->ID] = $menu_items->object_id;
					}
				}
			}
		endif;
	return $sections;
	}
}

if (!function_exists('dtthemes_ajax_pagination')) {
	function dtthemes_ajax_pagination($per_page = 10, $page = '', $total = '', $post_id = ''){ 

		$adjacents = "1";

		$page = ($page == 0 ? 1 : $page); 
		$start = ($page - 1) * $per_page; 

		$prev = $page - 1; 
		$next = $page + 1;
		$lastpage = ceil($total/$per_page);
		$lpm1 = $lastpage - 1;

		$pagination = "";
		if($lastpage > 1)
		{ 
			$pagination .= "<div class='pagination' data-postid='{$post_id}'>";
			if ($page >1){
				$pagination .= '<div class="prev-post"><a href="#" cpage="'.$page.'" class="dt-prev"><span class="fa fa-angle-double-left"></span> '.esc_html__('Prev', 'mountcool').'</a></div>';
			}

			$pagination .= "<ul>";
			if ($lastpage < 7 + ($adjacents * 2))
			{ 
				for ($counter = 1; $counter <= $lastpage; $counter++)
				{
					if ($counter == $page)
						$pagination.= "<li class='active-page'>$counter</li>";
					else
						$pagination.= "<li><a href='#'>$counter</a></li>"; 
				}
			}
			elseif($lastpage > 5 + ($adjacents * 2))
			{
				if($page < 1 + ($adjacents * 2)) 
				{
					for ($counter = 1; $counter < 4 + ($adjacents * 2); $counter++)
					{
						if ($counter == $page)
							$pagination.= "<li class='active-page'>$counter</li>";
						else
							$pagination.= "<li><a href='#'>$counter</a></li>"; 
					}
					$pagination.= "<li class='dot'>...</li>";
					$pagination.= "<li><a href='#'>$lpm1</a></li>";
					$pagination.= "<li><a href='#'>$lastpage</a></li>"; 
				}
				elseif($lastpage - ($adjacents * 2) > $page && $page > ($adjacents * 2))
				{
					$pagination.= "<li><a href='#'>1</a></li>";
					$pagination.= "<li><a href='#'>2</a></li>";
					$pagination.= "<li class='dot'>...</li>";
					for ($counter = $page - $adjacents; $counter <= $page + $adjacents; $counter++)
					{
						if ($counter == $page)
							$pagination.= "<li class='active-page'>$counter</li>";
						else
							$pagination.= "<li><a href='#'>$counter</a></li>"; 
					}
					$pagination.= "<li class='dot'>..</li>";
					$pagination.= "<li><a href='#'>$lpm1</a></li>";
					$pagination.= "<li><a href='#'>$lastpage</a></li>"; 
				}
				else
				{
					$pagination.= "<li><a href='#'>1</a></li>";
					$pagination.= "<li><a href='#'>2</a></li>";
					$pagination.= "<li class='dot'>..</li>";
					for ($counter = $lastpage - (2 + ($adjacents * 2)); $counter <= $lastpage; $counter++)
					{
						if ($counter == $page)
							$pagination.= "<li class='active-page'>$counter</li>";
						else
							$pagination.= "<li><a href='#'>$counter</a></li>"; 
					}
				}
			}

			$pagination.= "</ul>"; 
			if ($page < $counter - 1){
				$pagination .= '<div class="next-post"><a href="#" cpage="'.$page.'"  class="dt-next">'.esc_html__('Next', 'mountcool').' <span class="fa fa-angle-double-right"></span></a></div>';
			}
			$pagination.= "</div>\n"; 
		} 
		return $pagination;	
	}
}

/* ---------------------------------------------------------------------------
 * Getting individual Theme options
 * --------------------------------------------------------------------------- */
 
if( ! function_exists( 'dt_theme_opts_get' ) ) {

	function dt_theme_opts_get( $opt_name, $default = null ){

		// getting option
		$opts = get_option ( IAMD_THEME_SETTINGS );
		$opts = is_array( $opts ) ? $opts : array();
		
		
		$value = dt_theme_array_search($opts, $opt_name);
		if( ! empty( $value ) ){
			return $value;
		} else {
			return $default;
		}
	}
}

/* ---------------------------------------------------------------------------
 * Theme Options search using key
 * --------------------------------------------------------------------------- */
if (!function_exists('dt_theme_array_search')) {
	function dt_theme_array_search(array $array, $search) {
		$keys = false;
		
		foreach ($array as $key => $value) {
			if (is_array($array[$key])) {
				if (array_key_exists($search, $array[$key])) {
					return $array[$key][$search];
				} else {
				    $keys = dt_theme_array_search($array[$key], $search);
				}
			}
		}
		return $keys;
	}
}

if (!function_exists('dt_get_attachment_id_from_url')) {
	function dt_get_attachment_id_from_url( $attachment_url = '' ) {
	 
		global $wpdb;
		$attachment_id = false;
	 
		if ($attachment_url == '')
			return false;
	 
		$upload_dir_paths = wp_upload_dir();
		if ( false !== strpos( $attachment_url, $upload_dir_paths['baseurl'] ) ) {
	 
			$attachment_url = preg_replace( '/-\d+x\d+(?=\.(jpg|jpeg|png|gif)$)/i', '', $attachment_url );
			$attachment_url = str_replace( $upload_dir_paths['baseurl'] . '/', '', $attachment_url );
			
			$attachment_id = $wpdb->get_var( $wpdb->prepare( "SELECT wposts.ID FROM $wpdb->posts wposts, $wpdb->postmeta wpostmeta WHERE wposts.ID = wpostmeta.post_id AND wpostmeta.meta_key = '_wp_attached_file' AND wpostmeta.meta_value = '%s' AND wposts.post_type = 'attachment'", $attachment_url ) );
	 
		}

		return $attachment_id;
	}
}

/* ---------------------------------------------------------------------------
 * Update for page builder latest version
 * --------------------------------------------------------------------------- */
add_action( 'wp_ajax_dttheme_update_pagebuilder_contents', 'dttheme_update_pagebuilder_contents' );
add_action( 'wp_ajax_nopriv_dttheme_update_pagebuilder_contents', 'dttheme_update_pagebuilder_contents' );
if (!function_exists('dttheme_update_pagebuilder_contents')) {
	function dttheme_update_pagebuilder_contents() {

		$dttheme_update_wpnonce  = sanitize_text_field($_POST['update_wpnonce']);
		if( isset( $dttheme_admin_wpnonce ) && wp_verify_nonce( $dttheme_update_wpnonce, 'mytheme_update_wpnonce' ) ) {

			// Script to update pages
			$page_args = array('post_type' => 'page' ,'post_status' => 'publish' , 'posts_per_page' =>'-1');
			
			$page_datas = new WP_Query( $page_args );
			if( $page_datas->have_posts() ):
				while( $page_datas->have_posts() ):
					$page_datas->the_post();
						
						$current_page_id = get_the_ID();
						
						$builder_layout = get_post_meta( $current_page_id, '_dt_builder_settings', true );
						$builder_layout = is_array( $builder_layout ) ? $builder_layout  : array();
						$layout_html = array_key_exists('layout_html',$builder_layout ) ? $builder_layout['layout_html'] : '';
						$layout_shortcode = array_key_exists('layout_shortcode',$builder_layout ) ? $builder_layout['layout_shortcode'] : '';
						$layout_parsed = array_key_exists('layout_parsed',$builder_layout ) ? $builder_layout['layout_parsed'] : 'false';
						
						if($layout_parsed != 'true') {
						
							$layout_html_new = str_replace('<span class="dt_add_module_column" title="Add Module" style="display:none;">A</span>', '', $layout_html);
							$layout_html_new = str_replace('<div data-option_name="content" class="content', '<div data-option_name="title_content" class="title_content', $layout_html_new);
							$layout_html_new = str_replace('dt_fullwidth_section_container', 'dt_modules_holder dt_fullwidth_section_container', $layout_html_new);
							$layout_html_new = str_replace('dt_modules_container', 'dt_modules_holder dt_modules_container', $layout_html_new);
							
							
							$doc = new DomDocument();
							$file = $doc->loadHTML($layout_html_new);
							
							$divtag = $doc->getElementsByTagName('div');
							foreach($divtag AS $item)
							{
							
								$item_class = $item->getAttribute('class');
								$item_class_arr = explode(' ', $item_class);
								
								if(in_array('dt_m_column', $item_class_arr)) {
								
									$add_module_div = $doc->createElement('div', '');
									$add_module_div_class = $doc->createAttribute('class');
									$add_module_div_class->value = 'dt_show_modules_in_popup dt_popup_from_column';
									$add_module_div_title = $doc->createAttribute('title');
									$add_module_div_title->value = 'Add Module';
									
									$add_module_div->appendChild($add_module_div_class);
									$add_module_div->appendChild($add_module_div_title);
									
									$item->appendChild($add_module_div);
									
								}
							
								if(in_array('dt_fullwidth_section', $item_class_arr)) {
								
									$add_module_div = $doc->createElement('div', '');
									$add_module_div_class = $doc->createAttribute('class');
									$add_module_div_class->value = 'dt_show_modules_in_popup dt_popup_from_section';
									$add_module_div_title = $doc->createAttribute('title');
									$add_module_div_title->value = 'Add Module';
									
									$add_module_div->appendChild($add_module_div_class);
									$add_module_div->appendChild($add_module_div_title);
									
									$item->appendChild($add_module_div);
									
								}
							
							}
							
							$layout_html_new = $doc->saveHTML();
							
							$layout_html_new = str_replace('<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" "http://www.w3.org/TR/REC-html40/loose.dtd">', '', $layout_html_new);
							$layout_html_new = str_replace('<html><body>', '', $layout_html_new);
							$layout_html_new = str_replace('</body></html>', '', $layout_html_new);
							
							$output = array();
							$output['layout_html'] = $layout_html_new;
							$output['layout_shortcode'] = $layout_shortcode;
							$output['layout_parsed'] = 'true';
							
							update_post_meta($current_page_id, '_dt_builder_settings', $output);						
						}						
				endwhile;
			endif;
			
			// Script to update posts
			$post_args = array('post_type' => 'post', 'post_status' => 'publish', 'posts_per_page' =>'-1');
			
			$post_datas = new WP_Query( $post_args );
			if( $post_datas->have_posts() ):
				while( $post_datas->have_posts() ):
					$post_datas->the_post();
						
						$current_page_id = get_the_ID();
						
						$builder_layout = get_post_meta( $current_page_id, '_dt_builder_settings', true );
						$builder_layout = is_array( $builder_layout ) ? $builder_layout  : array();
						$layout_html = array_key_exists('layout_html',$builder_layout ) ? $builder_layout['layout_html'] : '';
						$layout_shortcode = array_key_exists('layout_shortcode',$builder_layout ) ? $builder_layout['layout_shortcode'] : '';
						$layout_parsed = array_key_exists('layout_parsed',$builder_layout ) ? $builder_layout['layout_parsed'] : 'false';

						if($layout_parsed != 'true') {

							$layout_html_new = str_replace('<span class="dt_add_module_column" title="Add Module" style="display:none;">A</span>','', $layout_html);
							$layout_html_new = str_replace('<div data-option_name="content" class="content', '<div data-option_name="title_content" class="title_content', $layout_html_new);
							$layout_html_new = str_replace('dt_fullwidth_section_container', 'dt_modules_holder dt_fullwidth_section_container', $layout_html_new);
							$layout_html_new = str_replace('dt_modules_container', 'dt_modules_holder dt_modules_container', $layout_html_new);
							
							$doc = new DomDocument();
							$file = $doc->loadHTML($layout_html_new);

							$divtag = $doc->getElementsByTagName('div');
							foreach($divtag AS $item)
							{							
								$item_class = $item->getAttribute('class');
								$item_class_arr = explode(' ', $item_class);
								
								if(in_array('dt_m_column', $item_class_arr)) {
								
									$add_module_div = $doc->createElement('div', '');
									$add_module_div_class = $doc->createAttribute('class');
									$add_module_div_class->value = 'dt_show_modules_in_popup dt_popup_from_column';
									$add_module_div_title = $doc->createAttribute('title');
									$add_module_div_title->value = 'Add Module';
									
									$add_module_div->appendChild($add_module_div_class);
									$add_module_div->appendChild($add_module_div_title);
									
									$item->appendChild($add_module_div);									
								}

								if(in_array('dt_fullwidth_section', $item_class_arr)) {
								
									$add_module_div = $doc->createElement('div', '');
									$add_module_div_class = $doc->createAttribute('class');
									$add_module_div_class->value = 'dt_show_modules_in_popup dt_popup_from_section';
									$add_module_div_title = $doc->createAttribute('title');
									$add_module_div_title->value = 'Add Module';
									
									$add_module_div->appendChild($add_module_div_class);
									$add_module_div->appendChild($add_module_div_title);
									
									$item->appendChild($add_module_div);									
								}							
							}

							$layout_html_new = $doc->saveHTML();
							
							$layout_html_new = str_replace('<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" "http://www.w3.org/TR/REC-html40/loose.dtd">', '', $layout_html_new);
							$layout_html_new = str_replace('<html><body>', '', $layout_html_new);
							$layout_html_new = str_replace('</body></html>', '', $layout_html_new);
							
							$output = array();
							$output['layout_html'] = $layout_html_new;
							$output['layout_shortcode'] = $layout_shortcode;
							$output['layout_parsed'] = 'true';

							update_post_meta($current_page_id, '_dt_builder_settings', $output);						
						}						
				endwhile;
			endif;

			$bp_data = get_option(IAMD_THEME_SETTINGS);
			$bp_data['pagebuilder_update'] = 'done';
			update_option(IAMD_THEME_SETTINGS, $bp_data);

			die('1');
		}
	}
}

/* ---------------------------------------------------------------------------
 * SSL | Compatibility
 * --------------------------------------------------------------------------- */
if (!function_exists('dt_ssl')) {
	function dt_ssl( $echo = false ) {
		$ssl = '';
		if( is_ssl() ) $ssl = 's';
		if( $echo ){
			echo "{$ssl}";
		}

		return $ssl;
	}
}

add_filter( 'wp_get_attachment_url', 'dt_ssl_attachments' );
if (!function_exists('dt_ssl_attachments')) {
	function dt_ssl_attachments( $url ) {
		if( is_ssl() ){
			return str_replace('http://', 'https://', $url);
		}
		return $url;
	}
}

/* ---------------------------------------------------------------------------
* Whitelist Associate
* --------------------------------------------------------------------------- */
if ( ! function_exists( 'dt_theme_array_whitelist_assoc' ) ) {
	function dt_theme_array_whitelist_assoc( Array $array1, Array $array2 ) {
		if ( func_num_args() > 2 ) {
			$args = func_get_args();
			array_shift( $args );
			$array2 = call_user_func_array( 'array_merge', $args );
		}

		return array_intersect_key( $array1, array_flip( $array2 ) );
	}
}

/* ---------------------------------------------------------------------------
* Post Type Support
* --------------------------------------------------------------------------- */
add_filter( 'fw_ext_page_builder_supported_post_types', 'dt_theme_limit_post_types_support', 1 );

if (!function_exists('dt_theme_limit_post_types_support')) {
	function dt_theme_limit_post_types_support( $all_post_types ) {
		$white_listed_post_types = array( '' ); //allowed custom post type names
		$post_types              = dt_theme_array_whitelist_assoc( $all_post_types, $white_listed_post_types );
		return $post_types;
	} 

}

/* ---------------------------------------------------------------------------
 * Getting privacy button action selection box
 * --------------------------------------------------------------------------- */
if ( ! function_exists( 'mountcool_privacy_btnaction_selection' ) ) {
	function mountcool_privacy_btnaction_selection($name = '', $selected = "") {
		$actions = array( '' => esc_html__('Dismiss the notification', 'mountcool'), 'link' => esc_html__('Link to another page', 'mountcool'), 'info_modal' => esc_html__('Open info modal on privacy and cookies', 'mountcool') );
	
		$name = ! empty ( $name ) ? "name='mytheme[privacy-bar][{$name}][action]'" : '';
		$out = "<select class='button-select' {$name}>"; // name attribute will be added to this by jQuery menuAdd()
		foreach ( $actions as $key => $value ) :
			$s = selected ( $key, $selected, false );
			$v = $value;
			$out .= "<option value='{$key}' {$s} >{$v}</option>";
		endforeach;
		$out .= "</select>";
	
		return $out;
	}
}